const path = require('path');
const isDev = process.env.NODE_ENV === 'development';
const alias = require('rollup-plugin-alias');


module.exports = {
  // 项目类型(app 或 component)
  type: isDev ? 'component/webpack' : 'component/rollup',

  // 页面应用上下文
  pageContext: process.cwd() + '/demos',

  // html模板上下文
  layoutContext: process.cwd() + '/demos',

  webpackConfig: {
    output: {
      filename: 'rtsp.js',
      library: 'rtspjs',
      libraryExport: 'default',
      libraryTarget: 'umd',
    },

    resolve: {
      alias: {
        'bp_event': path.join(__dirname, 'src/deps/bp_event'),
      },
    },
  },

  rollupConfig: {
    plugins: [
      alias({
        'bp_event': path.join(__dirname, 'src/deps/bp_event'),
      })
    ],

    external: id => /@babel\/runtime-corejs2|jsencrypt/.test(id),

    output: {
      name: 'rtspjs',
      file: 'rtsp.js'
    }
  }
};
