import _createClass from '@babel/runtime-corejs2/helpers/esm/createClass';
import _getIterator from '@babel/runtime-corejs2/core-js/get-iterator';
import _Map from '@babel/runtime-corejs2/core-js/map';
import _Set from '@babel/runtime-corejs2/core-js/set';
import _Symbol from '@babel/runtime-corejs2/core-js/symbol';
import _Promise from '@babel/runtime-corejs2/core-js/promise';
import _inheritsLoose from '@babel/runtime-corejs2/helpers/esm/inheritsLoose';
import _assertThisInitialized from '@babel/runtime-corejs2/helpers/esm/assertThisInitialized';
import _Object$keys from '@babel/runtime-corejs2/core-js/object/keys';
import _regeneratorRuntime from '@babel/runtime-corejs2/regenerator';
import _asyncToGenerator from '@babel/runtime-corejs2/helpers/esm/asyncToGenerator';
import _Object$assign from '@babel/runtime-corejs2/core-js/object/assign';
import _Object$defineProperties from '@babel/runtime-corejs2/core-js/object/define-properties';
import _wrapNativeSuper from '@babel/runtime-corejs2/helpers/esm/wrapNativeSuper';
import { JSEncrypt } from 'jsencrypt';

// ERROR=0, WARN=1, LOG=2, DEBUG=3
var LogLevel = {
  Error: 0,
  Warn: 1,
  Log: 2,
  Debug: 3
};
var DEFAULT_LOG_LEVEL = LogLevel.Log;
var taggedLoggers = new _Map();
function setLogLevel(level) {
  for (var _iterator = taggedLoggers, _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : _getIterator(_iterator);;) {
    var _ref;

    if (_isArray) {
      if (_i >= _iterator.length) break;
      _ref = _iterator[_i++];
    } else {
      _i = _iterator.next();
      if (_i.done) break;
      _ref = _i.value;
    }

    var _ref2 = _ref,
        key = _ref2[0],
        value = _ref2[1];
    value.setLevel(level);
  }
}
var Logger =
/*#__PURE__*/
function () {
  function Logger(level, tag) {
    if (level === void 0) {
      level = DEFAULT_LOG_LEVEL;
    }

    this.tag = tag;
    this.setLevel(level);
  }

  var _proto = Logger.prototype;

  _proto.setLevel = function setLevel(level) {
    this.level = level;
  };

  _proto._log = function _log(lvl, args) {
    args = Array.prototype.slice.call(args);

    if (this.tag) {
      args.unshift("[" + this.tag + "]");
    }

    if (this.level >= lvl) console[Logger.level_map[lvl]].apply(console, args);
  };

  _proto.log = function log() {
    this._log(LogLevel.Log, arguments);
  };

  _proto.debug = function debug() {
    this._log(LogLevel.Debug, arguments);
  };

  _proto.error = function error() {
    this._log(LogLevel.Error, arguments);
  };

  _proto.warn = function warn() {
    this._log(LogLevel.Warn, arguments);
  };

  _createClass(Logger, null, [{
    key: "level_map",
    get: function get() {
      var _ref3;

      return _ref3 = {}, _ref3[LogLevel.Debug] = 'log', _ref3[LogLevel.Log] = 'log', _ref3[LogLevel.Warn] = 'warn', _ref3[LogLevel.Error] = 'error', _ref3;
    }
  }]);

  return Logger;
}();
function getTagged(tag) {
  if (!taggedLoggers.has(tag)) {
    taggedLoggers.set(tag, new Logger(DEFAULT_LOG_LEVEL, tag));
  }

  return taggedLoggers.get(tag);
}
var Log = new Logger();

var LoggingControl = /*#__PURE__*/Object.freeze({
  LogLevel: LogLevel,
  setLogLevel: setLogLevel,
  Logger: Logger,
  getTagged: getTagged,
  Log: Log
});

var Url =
/*#__PURE__*/
function () {
  function Url() {}

  Url.parse = function parse(url) {
    var ret = {};
    var regex = /^([^:]+):\/\/([^\/]+)(.*)$/; //protocol, login, urlpath

    var result = regex.exec(url);

    if (!result) {
      throw new Error("bad url");
    }

    ret.full = url;
    ret.protocol = result[1];
    ret.urlpath = result[3];
    var parts = ret.urlpath.split('/');
    ret.basename = parts.pop().split(/\?|#/)[0];
    ret.basepath = parts.join('/');
    var loginSplit = result[2].split('@');
    var hostport = loginSplit[0].split(':');
    var userpass = [null, null];

    if (loginSplit.length === 2) {
      userpass = loginSplit[0].split(':');
      hostport = loginSplit[1].split(':');
    }

    ret.user = userpass[0];
    ret.pass = userpass[1];
    ret.host = hostport[0];
    ret.auth = ret.user && ret.pass ? ret.user + ":" + ret.pass : '';
    ret.port = null == hostport[1] ? Url.protocolDefaultPort(ret.protocol) : hostport[1];
    ret.portDefined = null != hostport[1];
    ret.location = ret.host + ":" + ret.port;

    if (ret.protocol == 'unix') {
      ret.socket = ret.port;
      ret.port = undefined;
    }

    return ret;
  };

  Url.full = function full(parsed) {
    return parsed.protocol + "://" + parsed.location + "/" + parsed.urlpath;
  };

  Url.isAbsolute = function isAbsolute(url) {
    return /^[^:]+:\/\//.test(url);
  };

  Url.protocolDefaultPort = function protocolDefaultPort(protocol) {
    switch (protocol) {
      case 'rtsp':
        return 554;

      case 'http':
        return 80;

      case 'https':
        return 443;
    }

    return 0;
  };

  return Url;
}();

var listener = _Symbol("event_listener");

var listeners = _Symbol("event_listeners");

var DestructibleEventListener =
/*#__PURE__*/
function () {
  function DestructibleEventListener(eventListener) {
    this[listener] = eventListener;
    this[listeners] = new _Map();
  }

  var _proto = DestructibleEventListener.prototype;

  _proto.clear = function clear() {
    if (this[listeners]) {
      for (var _iterator = this[listeners], _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : _getIterator(_iterator);;) {
        var _ref;

        if (_isArray) {
          if (_i >= _iterator.length) break;
          _ref = _iterator[_i++];
        } else {
          _i = _iterator.next();
          if (_i.done) break;
          _ref = _i.value;
        }

        var entry = _ref;

        for (var _iterator2 = entry[1], _isArray2 = Array.isArray(_iterator2), _i2 = 0, _iterator2 = _isArray2 ? _iterator2 : _getIterator(_iterator2);;) {
          var _ref2;

          if (_isArray2) {
            if (_i2 >= _iterator2.length) break;
            _ref2 = _iterator2[_i2++];
          } else {
            _i2 = _iterator2.next();
            if (_i2.done) break;
            _ref2 = _i2.value;
          }

          var fn = _ref2;
          this[listener].removeEventListener(entry[0], fn);
        }
      }
    }

    this[listeners].clear();
  };

  _proto.destroy = function destroy() {
    this.clear();
    this[listeners] = null;
  };

  _proto.on = function on(event, selector, fn) {
    if (fn == undefined) {
      fn = selector;
      selector = null;
    }

    if (selector) {
      return this.addEventListener(event, function (e) {
        if (e.target.matches(selector)) {
          fn(e);
        }
      });
    } else {
      return this.addEventListener(event, fn);
    }
  };

  _proto.addEventListener = function addEventListener(event, fn) {
    if (!this[listeners].has(event)) {
      this[listeners].set(event, new _Set());
    }

    this[listeners].get(event).add(fn);
    this[listener].addEventListener(event, fn, false);
    return fn;
  };

  _proto.removeEventListener = function removeEventListener(event, fn) {
    this[listener].removeEventListener(event, fn, false);

    if (this[listeners].has(event)) {
      //this[listeners].set(event, new Set());
      var ev = this[listeners].get(event);
      ev.delete(fn);

      if (!ev.size) {
        this[listeners].delete(event);
      }
    }
  };

  _proto.dispatchEvent = function dispatchEvent(event) {
    if (this[listener]) {
      this[listener].dispatchEvent(event);
    }
  };

  return DestructibleEventListener;
}();
var EventEmitter =
/*#__PURE__*/
function () {
  function EventEmitter(element) {
    if (element === void 0) {
      element = null;
    }

    this[listener] = new DestructibleEventListener(element || document.createElement('div'));
  }

  var _proto2 = EventEmitter.prototype;

  _proto2.clear = function clear() {
    if (this[listener]) {
      this[listener].clear();
    }
  };

  _proto2.destroy = function destroy() {
    if (this[listener]) {
      this[listener].destroy();
      this[listener] = null;
    }
  };

  _proto2.on = function on(event, selector, fn) {
    if (this[listener]) {
      return this[listener].on(event, selector, fn);
    }

    return null;
  };

  _proto2.addEventListener = function addEventListener(event, fn) {
    if (this[listener]) {
      return this[listener].addEventListener(event, fn, false);
    }

    return null;
  };

  _proto2.removeEventListener = function removeEventListener(event, fn) {
    if (this[listener]) {
      this[listener].removeEventListener(event, fn, false);
    }
  };

  _proto2.dispatchEvent = function dispatchEvent(event, data) {
    if (this[listener]) {
      this[listener].dispatchEvent(new CustomEvent(event, {
        detail: data
      }));
    }
  };

  return EventEmitter;
}();
var EventSourceWrapper =
/*#__PURE__*/
function () {
  function EventSourceWrapper(eventSource) {
    this.eventSource = eventSource;
    this[listeners] = new _Map();
  }

  var _proto3 = EventSourceWrapper.prototype;

  _proto3.on = function on(event, selector, fn) {
    if (!this[listeners].has(event)) {
      this[listeners].set(event, new _Set());
    }

    var listener = this.eventSource.on(event, selector, fn);

    if (listener) {
      this[listeners].get(event).add(listener);
    }
  };

  _proto3.off = function off(event, fn) {
    this.eventSource.removeEventListener(event, fn);
  };

  _proto3.clear = function clear() {
    this.eventSource.clear();
    this[listeners].clear();
  };

  _proto3.destroy = function destroy() {
    this.eventSource.clear();
    this[listeners] = null;
    this.eventSource = null;
  };

  return EventSourceWrapper;
}();

/**
 * Generate MP4 Box
 * got from: https://github.com/dailymotion/hls.js
 */
var MP4 =
/*#__PURE__*/
function () {
  function MP4() {}

  MP4.init = function init() {
    MP4.types = {
      avc1: [],
      // codingname
      avcC: [],
      btrt: [],
      dinf: [],
      dref: [],
      esds: [],
      ftyp: [],
      hdlr: [],
      mdat: [],
      mdhd: [],
      mdia: [],
      mfhd: [],
      minf: [],
      moof: [],
      moov: [],
      mp4a: [],
      mvex: [],
      mvhd: [],
      sdtp: [],
      stbl: [],
      stco: [],
      stsc: [],
      stsd: [],
      stsz: [],
      stts: [],
      tfdt: [],
      tfhd: [],
      traf: [],
      trak: [],
      trun: [],
      trex: [],
      tkhd: [],
      vmhd: [],
      smhd: []
    };
    var i;

    for (i in MP4.types) {
      if (MP4.types.hasOwnProperty(i)) {
        MP4.types[i] = [i.charCodeAt(0), i.charCodeAt(1), i.charCodeAt(2), i.charCodeAt(3)];
      }
    }

    var videoHdlr = new Uint8Array([0x00, // version 0
    0x00, 0x00, 0x00, // flags
    0x00, 0x00, 0x00, 0x00, // pre_defined
    0x76, 0x69, 0x64, 0x65, // handler_type: 'vide'
    0x00, 0x00, 0x00, 0x00, // reserved
    0x00, 0x00, 0x00, 0x00, // reserved
    0x00, 0x00, 0x00, 0x00, // reserved
    0x56, 0x69, 0x64, 0x65, 0x6f, 0x48, 0x61, 0x6e, 0x64, 0x6c, 0x65, 0x72, 0x00 // name: 'VideoHandler'
    ]);
    var audioHdlr = new Uint8Array([0x00, // version 0
    0x00, 0x00, 0x00, // flags
    0x00, 0x00, 0x00, 0x00, // pre_defined
    0x73, 0x6f, 0x75, 0x6e, // handler_type: 'soun'
    0x00, 0x00, 0x00, 0x00, // reserved
    0x00, 0x00, 0x00, 0x00, // reserved
    0x00, 0x00, 0x00, 0x00, // reserved
    0x53, 0x6f, 0x75, 0x6e, 0x64, 0x48, 0x61, 0x6e, 0x64, 0x6c, 0x65, 0x72, 0x00 // name: 'SoundHandler'
    ]);
    MP4.HDLR_TYPES = {
      'video': videoHdlr,
      'audio': audioHdlr
    };
    var dref = new Uint8Array([0x00, // version 0
    0x00, 0x00, 0x00, // flags
    0x00, 0x00, 0x00, 0x01, // entry_count
    0x00, 0x00, 0x00, 0x0c, // entry_size
    0x75, 0x72, 0x6c, 0x20, // 'url' type
    0x00, // version 0
    0x00, 0x00, 0x01 // entry_flags
    ]);
    var stco = new Uint8Array([0x00, // version
    0x00, 0x00, 0x00, // flags
    0x00, 0x00, 0x00, 0x00 // entry_count
    ]);
    MP4.STTS = MP4.STSC = MP4.STCO = stco;
    MP4.STSZ = new Uint8Array([0x00, // version
    0x00, 0x00, 0x00, // flags
    0x00, 0x00, 0x00, 0x00, // sample_size
    0x00, 0x00, 0x00, 0x00]);
    MP4.VMHD = new Uint8Array([0x00, // version
    0x00, 0x00, 0x01, // flags
    0x00, 0x00, // graphicsmode
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00 // opcolor
    ]);
    MP4.SMHD = new Uint8Array([0x00, // version
    0x00, 0x00, 0x00, // flags
    0x00, 0x00, // balance
    0x00, 0x00 // reserved
    ]);
    MP4.STSD = new Uint8Array([0x00, // version 0
    0x00, 0x00, 0x00, // flags
    0x00, 0x00, 0x00, 0x01]); // entry_count

    var majorBrand = new Uint8Array([105, 115, 111, 109]); // isom

    var avc1Brand = new Uint8Array([97, 118, 99, 49]); // avc1

    var minorVersion = new Uint8Array([0, 0, 0, 1]);
    MP4.FTYP = MP4.box(MP4.types.ftyp, majorBrand, minorVersion, majorBrand, avc1Brand);
    MP4.DINF = MP4.box(MP4.types.dinf, MP4.box(MP4.types.dref, dref));
  };

  MP4.box = function box(type) {
    for (var _len = arguments.length, payload = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
      payload[_key - 1] = arguments[_key];
    }

    var size = 8,
        i = payload.length,
        len = i,
        result; // calculate the total size we need to allocate

    while (i--) {
      size += payload[i].byteLength;
    }

    result = new Uint8Array(size);
    result[0] = size >> 24 & 0xff;
    result[1] = size >> 16 & 0xff;
    result[2] = size >> 8 & 0xff;
    result[3] = size & 0xff;
    result.set(type, 4); // copy the payload into the result

    for (i = 0, size = 8; i < len; ++i) {
      // copy payload[i] array @ offset size
      result.set(payload[i], size);
      size += payload[i].byteLength;
    }

    return result;
  };

  MP4.hdlr = function hdlr(type) {
    return MP4.box(MP4.types.hdlr, MP4.HDLR_TYPES[type]);
  };

  MP4.mdat = function mdat(data) {
    return MP4.box(MP4.types.mdat, data);
  };

  MP4.mdhd = function mdhd(timescale, duration) {
    return MP4.box(MP4.types.mdhd, new Uint8Array([0x00, // version 0
    0x00, 0x00, 0x00, // flags
    0x00, 0x00, 0x00, 0x02, // creation_time
    0x00, 0x00, 0x00, 0x03, // modification_time
    timescale >> 24 & 0xFF, timescale >> 16 & 0xFF, timescale >> 8 & 0xFF, timescale & 0xFF, // timescale
    duration >> 24, duration >> 16 & 0xFF, duration >> 8 & 0xFF, duration & 0xFF, // duration
    0x55, 0xc4, // 'und' language (undetermined)
    0x00, 0x00]));
  };

  MP4.mdia = function mdia(track) {
    return MP4.box(MP4.types.mdia, MP4.mdhd(track.timescale, track.duration), MP4.hdlr(track.type), MP4.minf(track));
  };

  MP4.mfhd = function mfhd(sequenceNumber) {
    return MP4.box(MP4.types.mfhd, new Uint8Array([0x00, 0x00, 0x00, 0x00, // flags
    sequenceNumber >> 24, sequenceNumber >> 16 & 0xFF, sequenceNumber >> 8 & 0xFF, sequenceNumber & 0xFF]) // sequence_number
    );
  };

  MP4.minf = function minf(track) {
    if (track.type === 'audio') {
      return MP4.box(MP4.types.minf, MP4.box(MP4.types.smhd, MP4.SMHD), MP4.DINF, MP4.stbl(track));
    } else {
      return MP4.box(MP4.types.minf, MP4.box(MP4.types.vmhd, MP4.VMHD), MP4.DINF, MP4.stbl(track));
    }
  };

  MP4.moof = function moof(sn, baseMediaDecodeTime, track) {
    return MP4.box(MP4.types.moof, MP4.mfhd(sn), MP4.traf(track, baseMediaDecodeTime));
  };
  /**
   * @param tracks... (optional) {array} the tracks associated with this movie
   */


  MP4.moov = function moov(tracks, duration, timescale) {
    var i = tracks.length,
        boxes = [];

    while (i--) {
      boxes[i] = MP4.trak(tracks[i]);
    }

    return MP4.box.apply(null, [MP4.types.moov, MP4.mvhd(timescale, duration)].concat(boxes).concat(MP4.mvex(tracks)));
  };

  MP4.mvex = function mvex(tracks) {
    var i = tracks.length,
        boxes = [];

    while (i--) {
      boxes[i] = MP4.trex(tracks[i]);
    }

    return MP4.box.apply(null, [MP4.types.mvex].concat(boxes));
  };

  MP4.mvhd = function mvhd(timescale, duration) {
    var bytes = new Uint8Array([0x00, // version 0
    0x00, 0x00, 0x00, // flags
    0x00, 0x00, 0x00, 0x01, // creation_time
    0x00, 0x00, 0x00, 0x02, // modification_time
    timescale >> 24 & 0xFF, timescale >> 16 & 0xFF, timescale >> 8 & 0xFF, timescale & 0xFF, // timescale
    duration >> 24 & 0xFF, duration >> 16 & 0xFF, duration >> 8 & 0xFF, duration & 0xFF, // duration
    0x00, 0x01, 0x00, 0x00, // 1.0 rate
    0x01, 0x00, // 1.0 volume
    0x00, 0x00, // reserved
    0x00, 0x00, 0x00, 0x00, // reserved
    0x00, 0x00, 0x00, 0x00, // reserved
    0x00, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x40, 0x00, 0x00, 0x00, // transformation: unity matrix
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // pre_defined
    0xff, 0xff, 0xff, 0xff // next_track_ID
    ]);
    return MP4.box(MP4.types.mvhd, bytes);
  };

  MP4.sdtp = function sdtp(track) {
    var samples = track.samples || [],
        bytes = new Uint8Array(4 + samples.length),
        flags,
        i; // leave the full box header (4 bytes) all zero
    // write the sample table

    for (i = 0; i < samples.length; i++) {
      flags = samples[i].flags;
      bytes[i + 4] = flags.dependsOn << 4 | flags.isDependedOn << 2 | flags.hasRedundancy;
    }

    return MP4.box(MP4.types.sdtp, bytes);
  };

  MP4.stbl = function stbl(track) {
    return MP4.box(MP4.types.stbl, MP4.stsd(track), MP4.box(MP4.types.stts, MP4.STTS), MP4.box(MP4.types.stsc, MP4.STSC), MP4.box(MP4.types.stsz, MP4.STSZ), MP4.box(MP4.types.stco, MP4.STCO));
  };

  MP4.avc1 = function avc1(track) {
    var sps = [],
        pps = [],
        i,
        data,
        len; // assemble the SPSs

    for (i = 0; i < track.sps.length; i++) {
      data = track.sps[i];
      len = data.byteLength;
      sps.push(len >>> 8 & 0xFF);
      sps.push(len & 0xFF);
      sps = sps.concat(Array.prototype.slice.call(data)); // SPS
    } // assemble the PPSs


    for (i = 0; i < track.pps.length; i++) {
      data = track.pps[i];
      len = data.byteLength;
      pps.push(len >>> 8 & 0xFF);
      pps.push(len & 0xFF);
      pps = pps.concat(Array.prototype.slice.call(data));
    }

    var avcc = MP4.box(MP4.types.avcC, new Uint8Array([0x01, // version
    sps[3], // profile
    sps[4], // profile compat
    sps[5], // level
    0xfc | 3, // lengthSizeMinusOne, hard-coded to 4 bytes
    0xE0 | track.sps.length // 3bit reserved (111) + numOfSequenceParameterSets
    ].concat(sps).concat([track.pps.length // numOfPictureParameterSets
    ]).concat(pps))),
        // "PPS"
    width = track.width,
        height = track.height; //console.log('avcc:' + Hex.hexDump(avcc));

    return MP4.box(MP4.types.avc1, new Uint8Array([0x00, 0x00, 0x00, // reserved
    0x00, 0x00, 0x00, // reserved
    0x00, 0x01, // data_reference_index
    0x00, 0x00, // pre_defined
    0x00, 0x00, // reserved
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // pre_defined
    width >> 8 & 0xFF, width & 0xff, // width
    height >> 8 & 0xFF, height & 0xff, // height
    0x00, 0x48, 0x00, 0x00, // horizresolution
    0x00, 0x48, 0x00, 0x00, // vertresolution
    0x00, 0x00, 0x00, 0x00, // reserved
    0x00, 0x01, // frame_count
    0x12, 0x62, 0x69, 0x6E, 0x65, //binelpro.ru
    0x6C, 0x70, 0x72, 0x6F, 0x2E, 0x72, 0x75, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // compressorname
    0x00, 0x18, // depth = 24
    0x11, 0x11]), // pre_defined = -1
    avcc, MP4.box(MP4.types.btrt, new Uint8Array([0x00, 0x1c, 0x9c, 0x80, // bufferSizeDB
    0x00, 0x2d, 0xc6, 0xc0, // maxBitrate
    0x00, 0x2d, 0xc6, 0xc0])) // avgBitrate
    );
  };

  MP4.esds = function esds(track) {
    var configlen = track.config.byteLength;
    var data = new Uint8Array(26 + configlen + 3);
    data.set([0x00, // version 0
    0x00, 0x00, 0x00, // flags
    0x03, // descriptor_type
    0x17 + configlen, // length
    0x00, 0x01, //es_id
    0x00, // stream_priority
    0x04, // descriptor_type
    0x0f + configlen, // length
    0x40, //codec : mpeg4_audio
    0x15, // stream_type
    0x00, 0x00, 0x00, // buffer_size
    0x00, 0x00, 0x00, 0x00, // maxBitrate
    0x00, 0x00, 0x00, 0x00, // avgBitrate
    0x05, // descriptor_type
    configlen]);
    data.set(track.config, 26);
    data.set([0x06, 0x01, 0x02], 26 + configlen); // return new Uint8Array([
    //     0x00, // version 0
    //     0x00, 0x00, 0x00, // flags
    //
    //     0x03, // descriptor_type
    //     0x17+configlen, // length
    //     0x00, 0x01, //es_id
    //     0x00, // stream_priority
    //
    //     0x04, // descriptor_type
    //     0x0f+configlen, // length
    //     0x40, //codec : mpeg4_audio
    //     0x15, // stream_type
    //     0x00, 0x00, 0x00, // buffer_size
    //     0x00, 0x00, 0x00, 0x00, // maxBitrate
    //     0x00, 0x00, 0x00, 0x00, // avgBitrate
    //
    //     0x05 // descriptor_type
    // ].concat([configlen]).concat(track.config).concat([0x06, 0x01, 0x02])); // GASpecificConfig)); // length + audio config descriptor

    return data;
  };

  MP4.mp4a = function mp4a(track) {
    var audiosamplerate = track.audiosamplerate;
    return MP4.box(MP4.types.mp4a, new Uint8Array([0x00, 0x00, 0x00, // reserved
    0x00, 0x00, 0x00, // reserved
    0x00, 0x01, // data_reference_index
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // reserved
    0x00, track.channelCount, // channelcount
    0x00, 0x10, // sampleSize:16bits
    0x00, 0x00, // pre_defined
    0x00, 0x00, // reserved2
    audiosamplerate >> 8 & 0xFF, audiosamplerate & 0xff, //
    0x00, 0x00]), MP4.box(MP4.types.esds, MP4.esds(track)));
  };

  MP4.stsd = function stsd(track) {
    if (track.type === 'audio') {
      return MP4.box(MP4.types.stsd, MP4.STSD, MP4.mp4a(track));
    } else {
      return MP4.box(MP4.types.stsd, MP4.STSD, MP4.avc1(track));
    }
  };

  MP4.tkhd = function tkhd(track) {
    var id = track.id,
        duration = track.duration,
        width = track.width,
        height = track.height,
        volume = track.volume;
    return MP4.box(MP4.types.tkhd, new Uint8Array([0x00, // version 0
    0x00, 0x00, 0x07, // flags
    0x00, 0x00, 0x00, 0x00, // creation_time
    0x00, 0x00, 0x00, 0x00, // modification_time
    id >> 24 & 0xFF, id >> 16 & 0xFF, id >> 8 & 0xFF, id & 0xFF, // track_ID
    0x00, 0x00, 0x00, 0x00, // reserved
    duration >> 24, duration >> 16 & 0xFF, duration >> 8 & 0xFF, duration & 0xFF, // duration
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // reserved
    0x00, 0x00, // layer
    0x00, 0x00, // alternate_group
    volume >> 0 & 0xff, volume % 1 * 10 >> 0 & 0xff, // track volume // FIXME
    0x00, 0x00, // reserved
    0x00, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x40, 0x00, 0x00, 0x00, // transformation: unity matrix
    width >> 8 & 0xFF, width & 0xFF, 0x00, 0x00, // width
    height >> 8 & 0xFF, height & 0xFF, 0x00, 0x00 // height
    ]));
  };

  MP4.traf = function traf(track, baseMediaDecodeTime) {
    var sampleDependencyTable = MP4.sdtp(track),
        id = track.id;
    return MP4.box(MP4.types.traf, MP4.box(MP4.types.tfhd, new Uint8Array([0x00, // version 0
    0x00, 0x00, 0x00, // flags
    id >> 24, id >> 16 & 0XFF, id >> 8 & 0XFF, id & 0xFF]) // track_ID
    ), MP4.box(MP4.types.tfdt, new Uint8Array([0x00, // version 0
    0x00, 0x00, 0x00, // flags
    baseMediaDecodeTime >> 24, baseMediaDecodeTime >> 16 & 0XFF, baseMediaDecodeTime >> 8 & 0XFF, baseMediaDecodeTime & 0xFF]) // baseMediaDecodeTime
    ), MP4.trun(track, sampleDependencyTable.length + 16 + // tfhd
    16 + // tfdt
    8 + // traf header
    16 + // mfhd
    8 + // moof header
    8), // mdat header
    sampleDependencyTable);
  };
  /**
   * Generate a track box.
   * @param track {object} a track definition
   * @return {Uint8Array} the track box
   */


  MP4.trak = function trak(track) {
    track.duration = track.duration || 0xffffffff;
    return MP4.box(MP4.types.trak, MP4.tkhd(track), MP4.mdia(track));
  };

  MP4.trex = function trex(track) {
    var id = track.id;
    return MP4.box(MP4.types.trex, new Uint8Array([0x00, // version 0
    0x00, 0x00, 0x00, // flags
    id >> 24, id >> 16 & 0XFF, id >> 8 & 0XFF, id & 0xFF, // track_ID
    0x00, 0x00, 0x00, 0x01, // default_sample_description_index
    0x00, 0x00, 0x00, 0x00, // default_sample_duration
    0x00, 0x00, 0x00, 0x00, // default_sample_size
    0x00, 0x01, 0x00, 0x01 // default_sample_flags
    ]));
  };

  MP4.trun = function trun(track, offset) {
    var samples = track.samples || [],
        len = samples.length,
        arraylen = 12 + 16 * len,
        array = new Uint8Array(arraylen),
        i,
        sample,
        duration,
        size,
        flags,
        cts;
    offset += 8 + arraylen;
    array.set([0x00, // version 0
    0x00, 0x0f, 0x01, // flags
    len >>> 24 & 0xFF, len >>> 16 & 0xFF, len >>> 8 & 0xFF, len & 0xFF, // sample_count
    offset >>> 24 & 0xFF, offset >>> 16 & 0xFF, offset >>> 8 & 0xFF, offset & 0xFF // data_offset
    ], 0);

    for (i = 0; i < len; i++) {
      sample = samples[i];
      duration = sample.duration;
      size = sample.size;
      flags = sample.flags;
      cts = sample.cts;
      array.set([duration >>> 24 & 0xFF, duration >>> 16 & 0xFF, duration >>> 8 & 0xFF, duration & 0xFF, // sample_duration
      size >>> 24 & 0xFF, size >>> 16 & 0xFF, size >>> 8 & 0xFF, size & 0xFF, // sample_size
      flags.isLeading << 2 | flags.dependsOn, flags.isDependedOn << 6 | flags.hasRedundancy << 4 | flags.paddingValue << 1 | flags.isNonSync, flags.degradPrio & 0xF0 << 8, flags.degradPrio & 0x0F, // sample_flags
      cts >>> 24 & 0xFF, cts >>> 16 & 0xFF, cts >>> 8 & 0xFF, cts & 0xFF // sample_composition_time_offset
      ], 12 + 16 * i);
    }

    return MP4.box(MP4.types.trun, array);
  };

  MP4.initSegment = function initSegment(tracks, duration, timescale) {
    if (!MP4.types) {
      MP4.init();
    }

    var movie = MP4.moov(tracks, duration, timescale),
        result;
    result = new Uint8Array(MP4.FTYP.byteLength + movie.byteLength);
    result.set(MP4.FTYP);
    result.set(movie, MP4.FTYP.byteLength);
    return result;
  };

  return MP4;
}();

var LOG_TAG = 'mse';
var Log$1 = getTagged(LOG_TAG);
var MSEBuffer =
/*#__PURE__*/
function () {
  function MSEBuffer(parent, codec) {
    var _this = this;

    this.mediaSource = parent.mediaSource;
    this.players = parent.players;
    this.cleaning = false;
    this.parent = parent;
    this.queue = [];
    this.cleanResolvers = [];
    this.codec = codec;
    this.cleanRanges = [];
    Log$1.debug("Use codec: " + codec);
    this.sourceBuffer = this.mediaSource.addSourceBuffer(codec);
    this.eventSource = new EventEmitter(this.sourceBuffer);
    this.eventSource.addEventListener('updatestart', function (e) {
      // this.updating = true;
      // Log.debug('update start');
      if (_this.cleaning) {
        Log$1.debug(_this.codec + " cleaning start");
      }
    });
    this.eventSource.addEventListener('update', function (e) {
      // this.updating = true;
      if (_this.cleaning) {
        Log$1.debug(_this.codec + " cleaning update");
      }
    });
    this.eventSource.addEventListener('updateend', function (e) {
      // Log.debug('update end');
      // this.updating = false;
      if (_this.cleaning) {
        Log$1.debug(_this.codec + " cleaning end");

        try {
          if (_this.sourceBuffer.buffered.length && _this.players[0].currentTime < _this.sourceBuffer.buffered.start(0)) {
            _this.players[0].currentTime = _this.sourceBuffer.buffered.start(0);
          }
        } catch (e) {// TODO: do something?
        }

        while (_this.cleanResolvers.length) {
          var resolver = _this.cleanResolvers.shift();

          resolver();
        }

        _this.cleaning = false;

        if (_this.cleanRanges.length) {
          _this.doCleanup();

          return;
        }
      }

      _this.feedNext();
    });
    this.eventSource.addEventListener('error', function (e) {
      Log$1.debug("Source buffer error: " + _this.mediaSource.readyState);

      if (_this.mediaSource.sourceBuffers.length) {
        _this.mediaSource.removeSourceBuffer(_this.sourceBuffer);
      }

      _this.parent.eventSource.dispatchEvent('error');
    });
    this.eventSource.addEventListener('abort', function (e) {
      Log$1.debug("Source buffer aborted: " + _this.mediaSource.readyState);

      if (_this.mediaSource.sourceBuffers.length) {
        _this.mediaSource.removeSourceBuffer(_this.sourceBuffer);
      }

      _this.parent.eventSource.dispatchEvent('error');
    });

    if (!this.sourceBuffer.updating) {
      this.feedNext();
    } // TODO: cleanup every hour for live streams

  }

  var _proto = MSEBuffer.prototype;

  _proto.destroy = function destroy() {
    this.eventSource.destroy();
    this.clear();
    this.queue = [];
    this.mediaSource.removeSourceBuffer(this.sourceBuffer);
  };

  _proto.clear = function clear() {
    var _this2 = this;

    this.queue = [];
    var promises = [];

    var _loop = function _loop(i) {
      // TODO: await remove
      _this2.cleaning = true;
      promises.push(new _Promise(function (resolve, reject) {
        _this2.cleanResolvers.push(resolve);

        if (!_this2.sourceBuffer.updating) {
          _this2.sourceBuffer.remove(_this2.sourceBuffer.buffered.start(i), _this2.sourceBuffer.buffered.end(i));

          resolve();
        } else {
          _this2.sourceBuffer.onupdateend = function () {
            if (_this2.sourceBuffer) {
              _this2.sourceBuffer.remove(_this2.sourceBuffer.buffered.start(i), _this2.sourceBuffer.buffered.end(i));
            }

            resolve();
          };
        }
      }));
    };

    for (var i = 0; i < this.sourceBuffer.buffered.length; ++i) {
      _loop(i);
    }

    return _Promise.all(promises);
  };

  _proto.setLive = function setLive(is_live) {
    this.is_live = is_live;
  };

  _proto.feedNext = function feedNext() {
    // Log.debug("feed next ", this.sourceBuffer.updating);
    if (!this.sourceBuffer.updating && !this.cleaning && this.queue.length) {
      this.doAppend(this.queue.shift()); // TODO: if is live and current position > 1hr => clean all and restart
    }
  };

  _proto.doCleanup = function doCleanup() {
    if (!this.cleanRanges.length) {
      this.cleaning = false;
      this.feedNext();
      return;
    }

    var range = this.cleanRanges.shift();
    Log$1.debug(this.codec + " remove range [" + range[0] + " - " + range[1] + ").\n                    \nUpdating: " + this.sourceBuffer.updating + "\n                    ");
    this.cleaning = true;
    this.sourceBuffer.remove(range[0], range[1]);
  };

  _proto.initCleanup = function initCleanup() {
    if (this.sourceBuffer.buffered.length && !this.sourceBuffer.updating && !this.cleaning) {
      Log$1.debug(this.codec + " cleanup");
      var removeBound = this.sourceBuffer.buffered.end(this.sourceBuffer.buffered.length - 1) - 2;

      for (var i = 0; i < this.sourceBuffer.buffered.length; ++i) {
        var removeStart = this.sourceBuffer.buffered.start(i);
        var removeEnd = this.sourceBuffer.buffered.end(i);
        if (this.players[0].currentTime <= removeStart || removeBound <= removeStart) continue;

        if (removeBound <= removeEnd && removeBound >= removeStart) {
          Log$1.debug("Clear [" + removeStart + ", " + removeBound + "), leave [" + removeBound + ", " + removeEnd + "]");
          removeEnd = removeBound;

          if (removeEnd != removeStart) {
            this.cleanRanges.push([removeStart, removeEnd]);
          }

          continue; // Do not cleanup buffered range after current position
        }

        this.cleanRanges.push([removeStart, removeEnd]);
      }

      this.doCleanup(); // let bufferStart = this.sourceBuffer.buffered.start(0);
      // let removeEnd = this.sourceBuffer.buffered.start(0) + (this.sourceBuffer.buffered.end(0) - this.sourceBuffer.buffered.start(0))/2;
      // if (this.players[0].currentTime < removeEnd) {
      //     this.players[0].currentTime = removeEnd;
      // }
      // let removeEnd = Math.max(this.players[0].currentTime - 3, this.sourceBuffer.buffered.end(0) - 3);
      //
      // if (removeEnd < bufferStart) {
      //     removeEnd = this.sourceBuffer.buffered.start(0) + (this.sourceBuffer.buffered.end(0) - this.sourceBuffer.buffered.start(0))/2;
      //     if (this.players[0].currentTime < removeEnd) {
      //         this.players[0].currentTime = removeEnd;
      //     }
      // }
      // if (removeEnd > bufferStart && (removeEnd - bufferStart > 0.5 )) {
      //     // try {
      //         Log.debug(`${this.codec} remove range [${bufferStart} - ${removeEnd}).
      //         \nBuffered end: ${this.sourceBuffer.buffered.end(0)}
      //         \nUpdating: ${this.sourceBuffer.updating}
      //         `);
      //         this.cleaning = true;
      //         this.sourceBuffer.remove(bufferStart, removeEnd);
      //     // } catch (e) {
      //     //     // TODO: implement
      //     //     Log.error(e);
      //     // }
      // } else {
      //     this.feedNext();
      // }
    } else {
      this.feedNext();
    }
  };

  _proto.doAppend = function doAppend(data) {
    // console.log(MP4Inspect.mp4toJSON(data));
    var err = this.players[0].error;

    if (err) {
      Log$1.error("Error occured: " + MSE.ErrorNotes[err.code]);

      try {
        this.players.forEach(function (video) {
          video.stop();
        });
        this.mediaSource.endOfStream();
      } catch (e) {}

      this.parent.eventSource.dispatchEvent('error');
    } else {
      try {
        this.sourceBuffer.appendBuffer(data);
      } catch (e) {
        if (e.name === 'QuotaExceededError') {
          Log$1.debug(this.codec + " quota fail");
          this.queue.unshift(data);
          this.initCleanup();
          return;
        } // reconnect on fail


        Log$1.error("Error occured while appending buffer. " + e.name + ": " + e.message);
        this.parent.eventSource.dispatchEvent('error');
      }
    }
  };

  _proto.feed = function feed(data) {
    this.queue = this.queue.concat(data); // Log.debug(this.sourceBuffer.updating, this.updating, this.queue.length);

    if (this.sourceBuffer && !this.sourceBuffer.updating && !this.cleaning) {
      // Log.debug('enq feed');
      this.feedNext();
    }
  };

  return MSEBuffer;
}();

function supportNativeMediaPlayback(mimeType) {
  var videoElement = self.document.createElement('video');
  var canPlay = videoElement.canPlayType(mimeType);
  return canPlay === 'probably' || canPlay == 'maybe';
}

var MSE =
/*#__PURE__*/
function () {
  MSE.isSupported = function isSupported(codecs) {
    return window.MediaSource && window.MediaSource.isTypeSupported("video/mp4; codecs=\"" + codecs.join(',') + "\"") && supportNativeMediaPlayback("video/mp4; codecs=\"" + codecs.join(',') + "\"");
  };

  _createClass(MSE, null, [{
    key: "ErrorNotes",
    // static CODEC_AVC_BASELINE = "avc1.42E01E";
    // static CODEC_AVC_MAIN = "avc1.4D401E";
    // static CODEC_AVC_HIGH = "avc1.64001E";
    // static CODEC_VP8 = "vp8";
    // static CODEC_AAC = "mp4a.40.2";
    // static CODEC_VORBIS = "vorbis";
    // static CODEC_THEORA = "theora";
    get: function get() {
      var _ref;

      return _ref = {}, _ref[MediaError.MEDIA_ERR_ABORTED] = 'fetching process aborted by user', _ref[MediaError.MEDIA_ERR_NETWORK] = 'error occurred when downloading', _ref[MediaError.MEDIA_ERR_DECODE] = 'error occurred when decoding', _ref[MediaError.MEDIA_ERR_SRC_NOT_SUPPORTED] = 'audio/video not supported', _ref;
    }
  }]);

  function MSE(players) {
    this.players = players;
    var playing = this.players.map(function (video, idx) {
      video.onplaying = function () {
        playing[idx] = true;
      };

      video.onpause = function () {
        playing[idx] = false;
      };

      return !video.paused;
    });
    this.playing = playing;
    this.mediaSource = new MediaSource();
    this.eventSource = new EventEmitter(this.mediaSource);
    this.reset();
  }

  var _proto2 = MSE.prototype;

  _proto2.destroy = function destroy() {
    this.reset();
    this.eventSource.destroy();
    this.mediaSource = null;
    this.eventSource = null;
  };

  _proto2.play = function play() {
    var _this3 = this;

    this.players.forEach(function (video, idx) {
      if (video.paused && !_this3.playing[idx]) {
        Log$1.debug("player " + idx + ": play");
        video.play();
      }
    });
  };

  _proto2.setLive = function setLive(is_live) {
    for (var idx in this.buffers) {
      this.buffers[idx].setLive(is_live);
    }

    this.is_live = is_live;
  };

  _proto2.resetBuffers = function resetBuffers() {
    var _this4 = this;

    this.players.forEach(function (video, idx) {
      if (!video.paused && _this4.playing[idx]) {
        video.pause();
        video.currentTime = 0;
      }
    });
    var promises = [];

    for (var _iterator = this.buffers.values(), _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : _getIterator(_iterator);;) {
      var _ref2;

      if (_isArray) {
        if (_i >= _iterator.length) break;
        _ref2 = _iterator[_i++];
      } else {
        _i = _iterator.next();
        if (_i.done) break;
        _ref2 = _i.value;
      }

      var buffer = _ref2;
      promises.push(buffer.clear());
    }

    return _Promise.all(promises).then(function () {
      _this4.mediaSource.endOfStream();

      _this4.mediaSource.duration = 0;

      _this4.mediaSource.clearLiveSeekableRange();

      _this4.play();
    });
  };

  _proto2.clear = function clear() {
    var _this5 = this;

    this.reset();
    this.players.forEach(function (video) {
      video.src = URL.createObjectURL(_this5.mediaSource);
    });
    return this.setupEvents();
  };

  _proto2.setupEvents = function setupEvents() {
    var _this6 = this;

    this.eventSource.clear();
    this.resolved = false;
    this.mediaReady = new _Promise(function (resolve, reject) {
      _this6._sourceOpen = function () {
        Log$1.debug("Media source opened: " + _this6.mediaSource.readyState);

        if (!_this6.resolved) {
          _this6.resolved = true;
          resolve();
        }
      };

      _this6._sourceEnded = function () {
        Log$1.debug("Media source ended: " + _this6.mediaSource.readyState);
      };

      _this6._sourceClose = function () {
        Log$1.debug("Media source closed: " + _this6.mediaSource.readyState);

        if (_this6.resolved) {
          _this6.eventSource.dispatchEvent('sourceclosed');
        }
      };

      _this6.eventSource.addEventListener('sourceopen', _this6._sourceOpen);

      _this6.eventSource.addEventListener('sourceended', _this6._sourceEnded);

      _this6.eventSource.addEventListener('sourceclose', _this6._sourceClose);
    });
    return this.mediaReady;
  };

  _proto2.reset = function reset() {
    this.ready = false;

    for (var track in this.buffers) {
      this.buffers[track].destroy();
      delete this.buffers[track];
    }

    if (this.mediaSource.readyState == 'open') {
      this.mediaSource.duration = 0;
      this.mediaSource.endOfStream();
    }

    this.updating = false;
    this.resolved = false;
    this.buffers = {}; // this.players.forEach((video)=>{video.src = URL.createObjectURL(this.mediaSource)});
    // TODO: remove event listeners for existing media source
    // this.setupEvents();
    // this.clear();
  };

  _proto2.setCodec = function setCodec(track, mimeCodec) {
    var _this7 = this;

    return this.mediaReady.then(function () {
      _this7.buffers[track] = new MSEBuffer(_this7, mimeCodec);

      _this7.buffers[track].setLive(_this7.is_live);
    });
  };

  _proto2.feed = function feed(track, data) {
    if (this.buffers[track]) {
      this.buffers[track].feed(data);
    }
  };

  return MSE;
}();

var Log$2 = getTagged('remuxer:base');
var track_id = 1;
var BaseRemuxer =
/*#__PURE__*/
function () {
  // TODO: move to ts parser
  // static PTSNormalize(value, reference) {
  //
  //     let offset;
  //     if (reference === undefined) {
  //         return value;
  //     }
  //     if (reference < value) {
  //         // - 2^33
  //         offset = -8589934592;
  //     } else {
  //         // + 2^33
  //         offset = 8589934592;
  //     }
  //     /* PTS is 33bit (from 0 to 2^33 -1)
  //      if diff between value and reference is bigger than half of the amplitude (2^32) then it means that
  //      PTS looping occured. fill the gap */
  //     while (Math.abs(value - reference) > 4294967296) {
  //         value += offset;
  //     }
  //     return value;
  // }
  BaseRemuxer.getTrackID = function getTrackID() {
    return track_id++;
  };

  _createClass(BaseRemuxer, null, [{
    key: "MP4_TIMESCALE",
    get: function get() {
      return 90000;
    }
  }]);

  function BaseRemuxer(timescale, scaleFactor, params) {
    this.timeOffset = 0;
    this.timescale = timescale;
    this.scaleFactor = scaleFactor;
    this.readyToDecode = false;
    this.samples = [];
    this.seq = 1;
    this.tsAlign = 1;
  }

  var _proto = BaseRemuxer.prototype;

  _proto.scaled = function scaled(timestamp) {
    return timestamp / this.scaleFactor;
  };

  _proto.unscaled = function unscaled(timestamp) {
    return timestamp * this.scaleFactor;
  };

  _proto.remux = function remux(unit) {
    if (unit) {
      this.samples.push({
        unit: unit,
        pts: unit.pts,
        dts: unit.dts
      });
      return true;
    }

    return false;
  };

  BaseRemuxer.toMS = function toMS(timestamp) {
    return timestamp / 90;
  };

  _proto.setConfig = function setConfig(config) {};

  _proto.insertDscontinuity = function insertDscontinuity() {
    this.samples.push(null);
  };

  _proto.init = function init(initPTS, initDTS, shouldInitialize) {
    if (shouldInitialize === void 0) {
      shouldInitialize = true;
    }

    this.initPTS = Math.min(initPTS, this.samples[0].dts
    /*- this.unscaled(this.timeOffset)*/
    );
    this.initDTS = Math.min(initDTS, this.samples[0].dts
    /*- this.unscaled(this.timeOffset)*/
    );
    Log$2.debug("Initial pts=" + this.initPTS + " dts=" + this.initDTS + " offset=" + this.unscaled(this.timeOffset));
    this.initialized = shouldInitialize;
  };

  _proto.flush = function flush() {
    this.seq++;
    this.mp4track.len = 0;
    this.mp4track.samples = [];
  };

  BaseRemuxer.dtsSortFunc = function dtsSortFunc(a, b) {
    return a.dts - b.dts;
  };

  _proto.getPayloadBase = function getPayloadBase(sampleFunction, setupSample) {
    if (!this.readyToDecode || !this.initialized || !this.samples.length) return null;
    this.samples.sort(BaseRemuxer.dtsSortFunc);
    return true; //
    // let payload = new Uint8Array(this.mp4track.len);
    // let offset = 0;
    // let samples=this.mp4track.samples;
    // let mp4Sample, lastDTS, pts, dts;
    //
    // while (this.samples.length) {
    //     let sample = this.samples.shift();
    //     if (sample === null) {
    //         // discontinuity
    //         this.nextDts = undefined;
    //         break;
    //     }
    //
    //     let unit = sample.unit;
    //
    //     pts = Math.round((sample.pts - this.initDTS)/this.tsAlign)*this.tsAlign;
    //     dts = Math.round((sample.dts - this.initDTS)/this.tsAlign)*this.tsAlign;
    //     // ensure DTS is not bigger than PTS
    //     dts = Math.min(pts, dts);
    //
    //     // sampleFunction(pts, dts);   // TODO:
    //
    //     // mp4Sample = setupSample(unit, pts, dts);    // TODO:
    //
    //     payload.set(unit.getData(), offset);
    //     offset += unit.getSize();
    //
    //     samples.push(mp4Sample);
    //     lastDTS = dts;
    // }
    // if (!samples.length) return null;
    //
    // // samplesPostFunction(samples); // TODO:
    //
    // return new Uint8Array(payload.buffer, 0, this.mp4track.len);
  };

  return BaseRemuxer;
}();

var Log$3 = getTagged("remuxer:aac"); // TODO: asm.js

var AACRemuxer =
/*#__PURE__*/
function (_BaseRemuxer) {
  _inheritsLoose(AACRemuxer, _BaseRemuxer);

  function AACRemuxer(timescale, scaleFactor, params) {
    var _this;

    if (scaleFactor === void 0) {
      scaleFactor = 1;
    }

    if (params === void 0) {
      params = {};
    }

    _this = _BaseRemuxer.call(this, timescale, scaleFactor) || this;
    _this.codecstring = MSE.CODEC_AAC;
    _this.units = [];
    _this.initDTS = undefined;
    _this.nextAacPts = undefined;
    _this.lastPts = 0;
    _this.firstDTS = 0;
    _this.firstPTS = 0;
    _this.duration = params.duration || 1;
    _this.initialized = false;
    _this.mp4track = {
      id: BaseRemuxer.getTrackID(),
      type: 'audio',
      fragmented: true,
      channelCount: 0,
      audiosamplerate: _this.timescale,
      duration: 0,
      timescale: _this.timescale,
      volume: 1,
      samples: [],
      config: '',
      len: 0
    };

    if (params.config) {
      _this.setConfig(params.config);
    }

    return _this;
  }

  var _proto = AACRemuxer.prototype;

  _proto.setConfig = function setConfig(config) {
    this.mp4track.channelCount = config.channels;
    this.mp4track.audiosamplerate = config.samplerate;

    if (!this.mp4track.duration) {
      this.mp4track.duration = (this.duration ? this.duration : 1) * config.samplerate;
    }

    this.mp4track.timescale = config.samplerate;
    this.mp4track.config = config.config;
    this.mp4track.codec = config.codec;
    this.timescale = config.samplerate;
    this.scaleFactor = BaseRemuxer.MP4_TIMESCALE / config.samplerate;
    this.expectedSampleDuration = 1024 * this.scaleFactor;
    this.readyToDecode = true;
  };

  _proto.remux = function remux(aac) {
    if (_BaseRemuxer.prototype.remux.call(this, aac)) {
      this.mp4track.len += aac.getSize();
    }
  };

  _proto.getPayload = function getPayload() {
    if (!this.readyToDecode || !this.samples.length) return null;
    this.samples.sort(function (a, b) {
      return a.dts - b.dts;
    });
    var payload = new Uint8Array(this.mp4track.len);
    var offset = 0;
    var samples = this.mp4track.samples;
    var mp4Sample, lastDTS, pts, dts;

    while (this.samples.length) {
      var sample = this.samples.shift();

      if (sample === null) {
        // discontinuity
        this.nextDts = undefined;
        break;
      }

      var unit = sample.unit;
      pts = sample.pts - this.initDTS;
      dts = sample.dts - this.initDTS;

      if (lastDTS === undefined) {
        if (this.nextDts) {
          var delta = Math.round(this.scaled(pts - this.nextAacPts)); // if fragment are contiguous, or delta less than 600ms, ensure there is no overlap/hole between fragments

          if (
          /*contiguous || */
          Math.abs(delta) < 600) {
            // log delta
            if (delta) {
              if (delta > 0) {
                Log$3.log(delta + " ms hole between AAC samples detected,filling it"); // if we have frame overlap, overlapping for more than half a frame duraion
              } else if (delta < -12) {
                // drop overlapping audio frames... browser will deal with it
                Log$3.log(-delta + " ms overlapping between AAC samples detected, drop frame");
                this.mp4track.len -= unit.getSize();
                continue;
              } // set DTS to next DTS


              pts = dts = this.nextAacPts;
            }
          }
        } // remember first PTS of our aacSamples, ensure value is positive


        this.firstDTS = Math.max(0, dts);
      }

      mp4Sample = {
        size: unit.getSize(),
        cts: 0,
        duration: 1024,
        flags: {
          isLeading: 0,
          isDependedOn: 0,
          hasRedundancy: 0,
          degradPrio: 0,
          dependsOn: 1
        }
      };
      payload.set(unit.getData(), offset);
      offset += unit.getSize();
      samples.push(mp4Sample);
      lastDTS = dts;
    }

    if (!samples.length) return null;
    this.nextDts = pts + this.expectedSampleDuration;
    return new Uint8Array(payload.buffer, 0, this.mp4track.len);
  };

  return AACRemuxer;
}(BaseRemuxer); //test.bundle.js:42 [remuxer:h264] skip frame from the past at DTS=18397972271140676 with expected DTS=18397998040950484

/**
 * Parser for exponential Golomb codes, a variable-bitwidth number encoding scheme used by h264.
*/
var ExpGolomb =
/*#__PURE__*/
function () {
  function ExpGolomb(data) {
    this.data = data; // the number of bytes left to examine in this.data

    this.bytesAvailable = this.data.byteLength; // the current word being examined

    this.word = 0; // :uint
    // the number of bits left to examine in the current word

    this.bitsAvailable = 0; // :uint
  } // ():void


  var _proto = ExpGolomb.prototype;

  _proto.loadWord = function loadWord() {
    var position = this.data.byteLength - this.bytesAvailable,
        workingBytes = new Uint8Array(4),
        availableBytes = Math.min(4, this.bytesAvailable);

    if (availableBytes === 0) {
      throw new Error('no bytes available');
    }

    workingBytes.set(this.data.subarray(position, position + availableBytes));
    this.word = new DataView(workingBytes.buffer, workingBytes.byteOffset, workingBytes.byteLength).getUint32(0); // track the amount of this.data that has been processed

    this.bitsAvailable = availableBytes * 8;
    this.bytesAvailable -= availableBytes;
  }; // (count:int):void


  _proto.skipBits = function skipBits(count) {
    var skipBytes; // :int

    if (this.bitsAvailable > count) {
      this.word <<= count;
      this.bitsAvailable -= count;
    } else {
      count -= this.bitsAvailable;
      skipBytes = count >> 3;
      count -= skipBytes << 3;
      this.bytesAvailable -= skipBytes;
      this.loadWord();
      this.word <<= count;
      this.bitsAvailable -= count;
    }
  }; // (size:int):uint


  _proto.readBits = function readBits(size) {
    var bits = Math.min(this.bitsAvailable, size),
        // :uint
    valu = this.word >>> 32 - bits; // :uint

    if (size > 32) {
      Log.error('Cannot read more than 32 bits at a time');
    }

    this.bitsAvailable -= bits;

    if (this.bitsAvailable > 0) {
      this.word <<= bits;
    } else if (this.bytesAvailable > 0) {
      this.loadWord();
    }

    bits = size - bits;

    if (bits > 0) {
      return valu << bits | this.readBits(bits);
    } else {
      return valu;
    }
  }; // ():uint


  _proto.skipLZ = function skipLZ() {
    var leadingZeroCount; // :uint

    for (leadingZeroCount = 0; leadingZeroCount < this.bitsAvailable; ++leadingZeroCount) {
      if (0 !== (this.word & 0x80000000 >>> leadingZeroCount)) {
        // the first bit of working word is 1
        this.word <<= leadingZeroCount;
        this.bitsAvailable -= leadingZeroCount;
        return leadingZeroCount;
      }
    } // we exhausted word and still have not found a 1


    this.loadWord();
    return leadingZeroCount + this.skipLZ();
  }; // ():void


  _proto.skipUEG = function skipUEG() {
    this.skipBits(1 + this.skipLZ());
  }; // ():void


  _proto.skipEG = function skipEG() {
    this.skipBits(1 + this.skipLZ());
  }; // ():uint


  _proto.readUEG = function readUEG() {
    var clz = this.skipLZ(); // :uint

    return this.readBits(clz + 1) - 1;
  }; // ():int


  _proto.readEG = function readEG() {
    var valu = this.readUEG(); // :int

    if (0x01 & valu) {
      // the number is odd if the low order bit is set
      return 1 + valu >>> 1; // add 1 to make it even, and divide by 2
    } else {
      return -1 * (valu >>> 1); // divide by two then make it negative
    }
  }; // Some convenience functions
  // :Boolean


  _proto.readBoolean = function readBoolean() {
    return 1 === this.readBits(1);
  }; // ():int


  _proto.readUByte = function readUByte() {
    return this.readBits(8);
  }; // ():int


  _proto.readUShort = function readUShort() {
    return this.readBits(16);
  }; // ():int


  _proto.readUInt = function readUInt() {
    return this.readBits(32);
  };

  return ExpGolomb;
}();

// TODO: asm.js
function appendByteArray(buffer1, buffer2) {
  var tmp = new Uint8Array((buffer1.byteLength | 0) + (buffer2.byteLength | 0));
  tmp.set(buffer1, 0);
  tmp.set(buffer2, buffer1.byteLength | 0);
  return tmp;
}
function base64ToArrayBuffer(base64) {
  var binary_string = window.atob(base64);
  var len = binary_string.length;
  var bytes = new Uint8Array(len);

  for (var i = 0; i < len; i++) {
    bytes[i] = binary_string.charCodeAt(i);
  }

  return bytes.buffer;
}
function hexToByteArray(hex) {
  var len = hex.length >> 1;
  var bufView = new Uint8Array(len);

  for (var i = 0; i < len; i++) {
    bufView[i] = parseInt(hex.substr(i << 1, 2), 16);
  }

  return bufView;
}
function bitSlice(bytearray, start, end) {
  if (start === void 0) {
    start = 0;
  }

  if (end === void 0) {
    end = bytearray.byteLength * 8;
  }

  var byteLen = Math.ceil((end - start) / 8);
  var res = new Uint8Array(byteLen);
  var startByte = start >>> 3; // /8

  var endByte = (end >>> 3) - 1; // /8

  var bitOffset = start & 0x7; // %8

  var nBitOffset = 8 - bitOffset;
  var endOffset = 8 - end & 0x7; // %8

  for (var i = 0; i < byteLen; ++i) {
    var tail = 0;

    if (i < endByte) {
      tail = bytearray[startByte + i + 1] >> nBitOffset;

      if (i == endByte - 1 && endOffset < 8) {
        tail >>= endOffset;
        tail <<= endOffset;
      }
    }

    res[i] = bytearray[startByte + i] << bitOffset | tail;
  }

  return res;
}
var BitArray =
/*#__PURE__*/
function () {
  function BitArray(src) {
    this.src = new DataView(src.buffer, src.byteOffset, src.byteLength);
    this.bitpos = 0;
    this.byte = this.src.getUint8(0);
    /* This should really be undefined, uint wont allow it though */

    this.bytepos = 0;
  }

  var _proto = BitArray.prototype;

  _proto.readBits = function readBits(length) {
    if (32 < (length | 0) || 0 === (length | 0)) {
      /* To big for an uint */
      throw new Error("too big");
    }

    var result = 0;

    for (var i = length; i > 0; --i) {
      /* Shift result one left to make room for another bit,
       then add the next bit on the stream. */
      result = (result | 0) << 1 | (this.byte | 0) >> 8 - ++this.bitpos & 0x01;

      if ((this.bitpos | 0) >= 8) {
        this.byte = this.src.getUint8(++this.bytepos);
        this.bitpos &= 0x7;
      }
    }

    return result;
  };

  _proto.skipBits = function skipBits(length) {
    this.bitpos += (length | 0) & 0x7; // %8

    this.bytepos += (length | 0) >>> 3; // *8

    if (this.bitpos > 7) {
      this.bitpos &= 0x7;
      ++this.bytepos;
    }

    if (!this.finished()) {
      this.byte = this.src.getUint8(this.bytepos);
      return 0;
    } else {
      return this.bytepos - this.src.byteLength - this.src.bitpos;
    }
  };

  _proto.finished = function finished() {
    return this.bytepos >= this.src.byteLength;
  };

  return BitArray;
}();

var NALU =
/*#__PURE__*/
function () {
  NALU.type = function type(nalu) {
    if (nalu.ntype in NALU.TYPES) {
      return NALU.TYPES[nalu.ntype];
    } else {
      return 'UNKNOWN';
    }
  };

  _createClass(NALU, null, [{
    key: "NDR",
    get: function get() {
      return 1;
    }
  }, {
    key: "SLICE_PART_A",
    get: function get() {
      return 2;
    }
  }, {
    key: "SLICE_PART_B",
    get: function get() {
      return 3;
    }
  }, {
    key: "SLICE_PART_C",
    get: function get() {
      return 4;
    }
  }, {
    key: "IDR",
    get: function get() {
      return 5;
    }
  }, {
    key: "SEI",
    get: function get() {
      return 6;
    }
  }, {
    key: "SPS",
    get: function get() {
      return 7;
    }
  }, {
    key: "PPS",
    get: function get() {
      return 8;
    }
  }, {
    key: "DELIMITER",
    get: function get() {
      return 9;
    }
  }, {
    key: "EOSEQ",
    get: function get() {
      return 10;
    }
  }, {
    key: "EOSTR",
    get: function get() {
      return 11;
    }
  }, {
    key: "FILTER",
    get: function get() {
      return 12;
    }
  }, {
    key: "STAP_A",
    get: function get() {
      return 24;
    }
  }, {
    key: "STAP_B",
    get: function get() {
      return 25;
    }
  }, {
    key: "FU_A",
    get: function get() {
      return 28;
    }
  }, {
    key: "FU_B",
    get: function get() {
      return 29;
    }
  }, {
    key: "TYPES",
    get: function get() {
      var _ref;

      return _ref = {}, _ref[NALU.IDR] = 'IDR', _ref[NALU.SEI] = 'SEI', _ref[NALU.SPS] = 'SPS', _ref[NALU.PPS] = 'PPS', _ref[NALU.NDR] = 'NDR', _ref;
    }
  }]);

  function NALU(ntype, nri, data, dts, pts) {
    this.data = data;
    this.ntype = ntype;
    this.nri = nri;
    this.dts = dts;
    this.pts = pts ? pts : this.dts;
    this.sliceType = null;
  }

  var _proto = NALU.prototype;

  _proto.appendData = function appendData(idata) {
    this.data = appendByteArray(this.data, idata);
  };

  _proto.toString = function toString() {
    return NALU.type(this) + "(" + this.data.byteLength + "): NRI: " + this.getNri() + ", PTS: " + this.pts + ", DTS: " + this.dts;
  };

  _proto.getNri = function getNri() {
    return this.nri >> 5;
  };

  _proto.type = function type() {
    return this.ntype;
  };

  _proto.isKeyframe = function isKeyframe() {
    return this.ntype === NALU.IDR || this.sliceType === 7;
  };

  _proto.getSize = function getSize() {
    return 4 + 1 + this.data.byteLength;
  };

  _proto.getData = function getData() {
    var header = new Uint8Array(5 + this.data.byteLength);
    var view = new DataView(header.buffer);
    view.setUint32(0, this.data.byteLength + 1);
    view.setUint8(4, 0x0 & 0x80 | this.nri & 0x60 | this.ntype & 0x1f);
    header.set(this.data, 5);
    return header;
  };

  return NALU;
}();

var H264Parser =
/*#__PURE__*/
function () {
  function H264Parser(remuxer) {
    this.remuxer = remuxer;
    this.track = remuxer.mp4track;
    this.firstFound = false;
  }

  var _proto = H264Parser.prototype;

  _proto.msToScaled = function msToScaled(timestamp) {
    return (timestamp - this.remuxer.timeOffset) * this.remuxer.scaleFactor;
  };

  _proto.parseSPS = function parseSPS(sps) {
    var config = H264Parser.readSPS(new Uint8Array(sps));
    this.track.width = config.width;
    this.track.height = config.height;
    this.track.sps = [new Uint8Array(sps)]; // this.track.timescale = this.remuxer.timescale;
    // this.track.duration = this.remuxer.timescale; // TODO: extract duration for non-live client

    this.track.codec = 'avc1.';
    var codecarray = new DataView(sps.buffer, sps.byteOffset + 1, 4);

    for (var i = 0; i < 3; ++i) {
      var h = codecarray.getUint8(i).toString(16);

      if (h.length < 2) {
        h = '0' + h;
      }

      this.track.codec += h;
    }
  };

  _proto.parsePPS = function parsePPS(pps) {
    this.track.pps = [new Uint8Array(pps)];
  };

  _proto.parseNAL = function parseNAL(unit) {
    if (!unit) return false;
    var push = null;

    switch (unit.type()) {
      case NALU.NDR:
      case NALU.IDR:
        unit.sliceType = H264Parser.parceSliceHeader(unit.data);

        if (unit.isKeyframe() && !this.firstFound) {
          this.firstFound = true;
        }

        if (this.firstFound) {
          push = true;
        } else {
          push = false;
        }

        break;

      case NALU.PPS:
        push = false;

        if (!this.track.pps) {
          this.parsePPS(unit.getData().subarray(4));

          if (!this.remuxer.readyToDecode && this.track.pps && this.track.sps) {
            this.remuxer.readyToDecode = true;
          }
        }

        break;

      case NALU.SPS:
        push = false;

        if (!this.track.sps) {
          this.parseSPS(unit.getData().subarray(4));

          if (!this.remuxer.readyToDecode && this.track.pps && this.track.sps) {
            this.remuxer.readyToDecode = true;
          }
        }

        break;

      case NALU.SEI: // {
      //   push = false;
      //   let data = new DataView(
      //     unit.data.buffer,
      //     unit.data.byteOffset,
      //     unit.data.byteLength
      //   );
      //   let byte_idx = 0;
      //   let pay_type = data.getUint8(byte_idx);
      //   ++byte_idx;
      //   let pay_size = 0;
      //   let sz = data.getUint8(byte_idx);
      //   ++byte_idx;
      //   while (sz === 255) {
      //     pay_size += sz;
      //     sz = data.getUint8(byte_idx);
      //     ++byte_idx;
      //   }
      //   pay_size += sz;
      //   let uuid = unit.data.subarray(byte_idx, byte_idx + 16);
      //   byte_idx += 16;
      //   console.log(
      //     `PT: ${pay_type}, PS: ${pay_size}, UUID: ${Array.from(uuid)
      //       .map(function (i) {
      //         return ('0' + i.toString(16)).slice(-2);
      //       })
      //       .join('')}`
      //   );
      //   // debugger;
      //   break;
      // }

      case NALU.EOSEQ:
      case NALU.EOSTR:
        push = false;
    }

    if (push === null && unit.getNri() > 0) {
      push = true;
    }

    return push;
  };

  H264Parser.parceSliceHeader = function parceSliceHeader(data) {
    var decoder = new ExpGolomb(data);
    var first_mb = decoder.readUEG();
    var slice_type = decoder.readUEG();
    var ppsid = decoder.readUEG();
    var frame_num = decoder.readUByte(); // console.log(`first_mb: ${first_mb}, slice_type: ${slice_type}, ppsid: ${ppsid}, frame_num: ${frame_num}`);

    return slice_type;
  };
  /**
   * Advance the ExpGolomb decoder past a scaling list. The scaling
   * list is optionally transmitted as part of a sequence parameter
   * set and is not relevant to transmuxing.
   * @param decoder {ExpGolomb} exp golomb decoder
   * @param count {number} the number of entries in this scaling list
   * @see Recommendation ITU-T H.264, Section 7.3.2.1.1.1
   */


  H264Parser.skipScalingList = function skipScalingList(decoder, count) {
    var lastScale = 8,
        nextScale = 8,
        deltaScale;

    for (var j = 0; j < count; j++) {
      if (nextScale !== 0) {
        deltaScale = decoder.readEG();
        nextScale = (lastScale + deltaScale + 256) % 256;
      }

      lastScale = nextScale === 0 ? lastScale : nextScale;
    }
  };
  /**
   * Read a sequence parameter set and return some interesting video
   * properties. A sequence parameter set is the H264 metadata that
   * describes the properties of upcoming video frames.
   * @param data {Uint8Array} the bytes of a sequence parameter set
   * @return {object} an object with configuration parsed from the
   * sequence parameter set, including the dimensions of the
   * associated video frames.
   */


  H264Parser.readSPS = function readSPS(data) {
    var decoder = new ExpGolomb(data);
    var frameCropLeftOffset = 0,
        frameCropRightOffset = 0,
        frameCropTopOffset = 0,
        frameCropBottomOffset = 0,
        sarScale = 1,
        profileIdc,
        profileCompat,
        levelIdc,
        numRefFramesInPicOrderCntCycle,
        picWidthInMbsMinus1,
        picHeightInMapUnitsMinus1,
        frameMbsOnlyFlag,
        scalingListCount;
    decoder.readUByte();
    profileIdc = decoder.readUByte(); // profile_idc

    profileCompat = decoder.readBits(5); // constraint_set[0-4]_flag, u(5)

    decoder.skipBits(3); // reserved_zero_3bits u(3),

    levelIdc = decoder.readUByte(); //level_idc u(8)

    decoder.skipUEG(); // seq_parameter_set_id
    // some profiles have more optional data we don't need

    if (profileIdc === 100 || profileIdc === 110 || profileIdc === 122 || profileIdc === 244 || profileIdc === 44 || profileIdc === 83 || profileIdc === 86 || profileIdc === 118 || profileIdc === 128) {
      var chromaFormatIdc = decoder.readUEG();

      if (chromaFormatIdc === 3) {
        decoder.skipBits(1); // separate_colour_plane_flag
      }

      decoder.skipUEG(); // bit_depth_luma_minus8

      decoder.skipUEG(); // bit_depth_chroma_minus8

      decoder.skipBits(1); // qpprime_y_zero_transform_bypass_flag

      if (decoder.readBoolean()) {
        // seq_scaling_matrix_present_flag
        scalingListCount = chromaFormatIdc !== 3 ? 8 : 12;

        for (var i = 0; i < scalingListCount; ++i) {
          if (decoder.readBoolean()) {
            // seq_scaling_list_present_flag[ i ]
            if (i < 6) {
              H264Parser.skipScalingList(decoder, 16);
            } else {
              H264Parser.skipScalingList(decoder, 64);
            }
          }
        }
      }
    }

    decoder.skipUEG(); // log2_max_frame_num_minus4

    var picOrderCntType = decoder.readUEG();

    if (picOrderCntType === 0) {
      decoder.readUEG(); //log2_max_pic_order_cnt_lsb_minus4
    } else if (picOrderCntType === 1) {
      decoder.skipBits(1); // delta_pic_order_always_zero_flag

      decoder.skipEG(); // offset_for_non_ref_pic

      decoder.skipEG(); // offset_for_top_to_bottom_field

      numRefFramesInPicOrderCntCycle = decoder.readUEG();

      for (var _i = 0; _i < numRefFramesInPicOrderCntCycle; ++_i) {
        decoder.skipEG(); // offset_for_ref_frame[ i ]
      }
    }

    decoder.skipUEG(); // max_num_ref_frames

    decoder.skipBits(1); // gaps_in_frame_num_value_allowed_flag

    picWidthInMbsMinus1 = decoder.readUEG();
    picHeightInMapUnitsMinus1 = decoder.readUEG();
    frameMbsOnlyFlag = decoder.readBits(1);

    if (frameMbsOnlyFlag === 0) {
      decoder.skipBits(1); // mb_adaptive_frame_field_flag
    }

    decoder.skipBits(1); // direct_8x8_inference_flag

    if (decoder.readBoolean()) {
      // frame_cropping_flag
      frameCropLeftOffset = decoder.readUEG();
      frameCropRightOffset = decoder.readUEG();
      frameCropTopOffset = decoder.readUEG();
      frameCropBottomOffset = decoder.readUEG();
    }

    if (decoder.readBoolean()) {
      // vui_parameters_present_flag
      if (decoder.readBoolean()) {
        // aspect_ratio_info_present_flag
        var sarRatio;
        var aspectRatioIdc = decoder.readUByte();

        switch (aspectRatioIdc) {
          case 1:
            sarRatio = [1, 1];
            break;

          case 2:
            sarRatio = [12, 11];
            break;

          case 3:
            sarRatio = [10, 11];
            break;

          case 4:
            sarRatio = [16, 11];
            break;

          case 5:
            sarRatio = [40, 33];
            break;

          case 6:
            sarRatio = [24, 11];
            break;

          case 7:
            sarRatio = [20, 11];
            break;

          case 8:
            sarRatio = [32, 11];
            break;

          case 9:
            sarRatio = [80, 33];
            break;

          case 10:
            sarRatio = [18, 11];
            break;

          case 11:
            sarRatio = [15, 11];
            break;

          case 12:
            sarRatio = [64, 33];
            break;

          case 13:
            sarRatio = [160, 99];
            break;

          case 14:
            sarRatio = [4, 3];
            break;

          case 15:
            sarRatio = [3, 2];
            break;

          case 16:
            sarRatio = [2, 1];
            break;

          case 255:
            {
              sarRatio = [decoder.readUByte() << 8 | decoder.readUByte(), decoder.readUByte() << 8 | decoder.readUByte()];
              break;
            }
        }

        if (sarRatio) {
          sarScale = sarRatio[0] / sarRatio[1];
        }
      }

      if (decoder.readBoolean()) {
        decoder.skipBits(1);
      }

      if (decoder.readBoolean()) {
        decoder.skipBits(4);

        if (decoder.readBoolean()) {
          decoder.skipBits(24);
        }
      }

      if (decoder.readBoolean()) {
        decoder.skipUEG();
        decoder.skipUEG();
      }

      if (decoder.readBoolean()) {
        var unitsInTick = decoder.readUInt();
        var timeScale = decoder.readUInt();
        var fixedFrameRate = decoder.readBoolean();
        //   `timescale: ${timeScale}; unitsInTick: ${unitsInTick}; fixedFramerate: ${fixedFrameRate}; avgFrameDuration: ${frameDuration}`
        // );
      }
    }

    return {
      width: Math.ceil(((picWidthInMbsMinus1 + 1) * 16 - frameCropLeftOffset * 2 - frameCropRightOffset * 2) * sarScale),
      height: (2 - frameMbsOnlyFlag) * (picHeightInMapUnitsMinus1 + 1) * 16 - (frameMbsOnlyFlag ? 2 : 4) * (frameCropTopOffset + frameCropBottomOffset)
    };
  };

  H264Parser.readSliceType = function readSliceType(decoder) {
    // skip NALu type
    decoder.readUByte(); // discard first_mb_in_slice

    decoder.readUEG(); // return slice_type

    return decoder.readUEG();
  };

  return H264Parser;
}();

var Log$4 = getTagged('remuxer:h264'); // TODO: asm.js

var H264Remuxer =
/*#__PURE__*/
function (_BaseRemuxer) {
  _inheritsLoose(H264Remuxer, _BaseRemuxer);

  function H264Remuxer(timescale, scaleFactor, params) {
    var _this;

    if (scaleFactor === void 0) {
      scaleFactor = 1;
    }

    if (params === void 0) {
      params = {};
    }

    _this = _BaseRemuxer.call(this, timescale, scaleFactor) || this;
    _this.nextDts = undefined;
    _this.readyToDecode = false;
    _this.initialized = false;
    _this.firstDTS = 0;
    _this.firstPTS = 0;
    _this.lastDTS = undefined;
    _this.lastSampleDuration = 0;
    _this.lastDurations = []; // this.timescale = 90000;

    _this.tsAlign = Math.round(_this.timescale / 60);
    _this.mp4track = {
      id: BaseRemuxer.getTrackID(),
      type: 'video',
      len: 0,
      fragmented: true,
      sps: '',
      pps: '',
      width: 0,
      height: 0,
      timescale: timescale,
      duration: timescale,
      samples: []
    };
    _this.samples = [];
    _this.lastGopDTS = -99999999999999;
    _this.gop = [];
    _this.firstUnit = true;
    _this.h264 = new H264Parser(_assertThisInitialized(_assertThisInitialized(_this)));

    if (params.sps) {
      var arr = new Uint8Array(params.sps);

      if ((arr[0] & 0x1f) === 7) {
        _this.setSPS(arr);
      } else {
        Log$4.warn('bad SPS in SDP');
      }
    }

    if (params.pps) {
      var _arr = new Uint8Array(params.pps);

      if ((_arr[0] & 0x1f) === 8) {
        _this.setPPS(_arr);
      } else {
        Log$4.warn('bad PPS in SDP');
      }
    }

    if (_this.mp4track.pps && _this.mp4track.sps) {
      _this.readyToDecode = true;
    }

    return _this;
  }

  var _proto = H264Remuxer.prototype;

  _proto._scaled = function _scaled(timestamp) {
    return timestamp >>> this.scaleFactor;
  };

  _proto._unscaled = function _unscaled(timestamp) {
    return timestamp << this.scaleFactor;
  };

  _proto.setSPS = function setSPS(sps) {
    this.h264.parseSPS(sps);
  };

  _proto.setPPS = function setPPS(pps) {
    this.h264.parsePPS(pps);
  };

  _proto.remux = function remux(nalu) {
    if (this.lastGopDTS < nalu.dts) {
      this.gop.sort(BaseRemuxer.dtsSortFunc);

      for (var _iterator = this.gop, _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : _getIterator(_iterator);;) {
        var _ref;

        if (_isArray) {
          if (_i >= _iterator.length) break;
          _ref = _iterator[_i++];
        } else {
          _i = _iterator.next();
          if (_i.done) break;
          _ref = _i.value;
        }

        var unit = _ref;

        // if (this.firstUnit) {
        //     unit.ntype = 5;//NALU.IDR;
        //     this.firstUnit = false;
        // }
        if (_BaseRemuxer.prototype.remux.call(this, unit)) {
          this.mp4track.len += unit.getSize();
        }
      }

      this.gop = [];
      this.lastGopDTS = nalu.dts;
    }

    if (this.h264.parseNAL(nalu)) {
      this.gop.push(nalu);
    }
  };

  _proto.getPayload = function getPayload() {
    if (!this.getPayloadBase()) {
      return null;
    }

    var payload = new Uint8Array(this.mp4track.len);
    var offset = 0;
    var samples = this.mp4track.samples;
    var mp4Sample, lastDTS, pts, dts; // Log.debug(this.samples.map((e)=>{
    //     return Math.round((e.dts - this.initDTS));
    // }));
    // let minDuration = Number.MAX_SAFE_INTEGER;

    while (this.samples.length) {
      var sample = this.samples.shift();

      if (sample === null) {
        // discontinuity
        this.nextDts = undefined;
        break;
      }

      var unit = sample.unit;
      pts = sample.pts - this.initDTS; // /*Math.round(*/(sample.pts - this.initDTS)/*/this.tsAlign)*this.tsAlign*/;

      dts = sample.dts - this.initDTS; ///*Math.round(*/(sample.dts - this.initDTS)/*/this.tsAlign)*this.tsAlign*/;
      // ensure DTS is not bigger than PTS

      dts = Math.min(pts, dts); // if not first AVC sample of video track, normalize PTS/DTS with previous sample value
      // and ensure that sample duration is positive

      if (lastDTS !== undefined) {
        var sampleDuration = this.scaled(dts - lastDTS);
        Log$4.debug("Sample duration: " + sampleDuration);

        if (sampleDuration < 0) {
          Log$4.log("invalid AVC sample duration at PTS/DTS: " + pts + "/" + dts + "|lastDTS: " + lastDTS + ":" + sampleDuration);
          this.mp4track.len -= unit.getSize();
          continue;
        } // minDuration = Math.min(sampleDuration, minDuration);


        this.lastDurations.push(sampleDuration);

        if (this.lastDurations.length > 100) {
          this.lastDurations.shift();
        }

        mp4Sample.duration = sampleDuration;
      } else {
        if (this.nextDts) {
          var delta = dts - this.nextDts; // if fragment are contiguous, or delta less than 600ms, ensure there is no overlap/hole between fragments

          if (
          /*contiguous ||*/
          Math.abs(Math.round(BaseRemuxer.toMS(delta))) < 600) {
            if (delta) {
              // set DTS to next DTS
              // Log.debug(`Video/PTS/DTS adjusted: ${pts}->${Math.max(pts - delta, this.nextDts)}/${dts}->${this.nextDts},delta:${delta}`);
              dts = this.nextDts; // offset PTS as well, ensure that PTS is smaller or equal than new DTS

              pts = Math.max(pts - delta, dts);
            }
          } else {
            if (delta < 0) {
              Log$4.log("skip frame from the past at DTS=" + dts + " with expected DTS=" + this.nextDts);
              this.mp4track.len -= unit.getSize();
              continue;
            }
          }
        } // remember first DTS of our avcSamples, ensure value is positive


        this.firstDTS = Math.max(0, dts);
      }

      mp4Sample = {
        size: unit.getSize(),
        duration: 0,
        cts: this.scaled(pts - dts),
        flags: {
          isLeading: 0,
          isDependedOn: 0,
          hasRedundancy: 0,
          degradPrio: 0
        }
      };
      var flags = mp4Sample.flags;

      if (sample.unit.isKeyframe() === true) {
        // the current sample is a key frame
        flags.dependsOn = 2;
        flags.isNonSync = 0;
      } else {
        flags.dependsOn = 1;
        flags.isNonSync = 1;
      }

      payload.set(unit.getData(), offset);
      offset += unit.getSize();
      samples.push(mp4Sample);
      lastDTS = dts;
    }

    if (!samples.length) return null;
    var avgDuration = this.lastDurations.reduce(function (a, b) {
      return (a | 0) + (b | 0);
    }, 0) / (this.lastDurations.length || 1) | 0;

    if (samples.length >= 2) {
      this.lastSampleDuration = avgDuration;
      mp4Sample.duration = avgDuration;
    } else {
      mp4Sample.duration = this.lastSampleDuration;
    }

    if (samples.length && (!this.nextDts || navigator.userAgent.toLowerCase().indexOf('chrome') > -1)) {
      var _flags = samples[0].flags; // chrome workaround, mark first sample as being a Random Access Point to avoid sourcebuffer append issue
      // https://code.google.com/p/chromium/issues/detail?id=229412

      _flags.dependsOn = 2;
      _flags.isNonSync = 0;
    } // next AVC sample DTS should be equal to last sample DTS + last sample duration


    this.nextDts = dts + this.unscaled(this.lastSampleDuration); // Log.debug(`next dts: ${this.nextDts}, last duration: ${this.lastSampleDuration}, last dts: ${dts}`);

    return new Uint8Array(payload.buffer, 0, this.mp4track.len);
  };

  return H264Remuxer;
}(BaseRemuxer);

var StreamType =
/*#__PURE__*/
function () {
  function StreamType() {}

  _createClass(StreamType, null, [{
    key: "VIDEO",
    get: function get() {
      return 1;
    }
  }, {
    key: "AUDIO",
    get: function get() {
      return 2;
    }
  }, {
    key: "map",
    get: function get() {
      var _ref;

      return _ref = {}, _ref[StreamType.VIDEO] = 'video', _ref[StreamType.AUDIO] = 'audio', _ref;
    }
  }]);

  return StreamType;
}();
var PayloadType =
/*#__PURE__*/
function () {
  function PayloadType() {}

  _createClass(PayloadType, null, [{
    key: "H264",
    get: function get() {
      return 1;
    }
  }, {
    key: "AAC",
    get: function get() {
      return 2;
    }
  }, {
    key: "map",
    get: function get() {
      var _ref2;

      return _ref2 = {}, _ref2[PayloadType.H264] = 'video', _ref2[PayloadType.AAC] = 'audio', _ref2;
    }
  }, {
    key: "string_map",
    get: function get() {
      return {
        H264: PayloadType.H264,
        AAC: PayloadType.AAC,
        'MP4A-LATM': PayloadType.AAC,
        'MPEG4-GENERIC': PayloadType.AAC
      };
    }
  }]);

  return PayloadType;
}();

var LOG_TAG$1 = 'remuxer';
var Log$5 = getTagged(LOG_TAG$1);
var Remuxer =
/*#__PURE__*/
function () {
  _createClass(Remuxer, null, [{
    key: "TrackConverters",
    get: function get() {
      var _ref;

      return _ref = {}, _ref[PayloadType.H264] = H264Remuxer, _ref[PayloadType.AAC] = AACRemuxer, _ref;
    }
  }, {
    key: "TrackScaleFactor",
    get: function get() {
      var _ref2;

      return _ref2 = {}, _ref2[PayloadType.H264] = 1, _ref2[PayloadType.AAC] = 0, _ref2;
    }
  }, {
    key: "TrackTimescale",
    get: function get() {
      var _ref3;

      return _ref3 = {}, _ref3[PayloadType.H264] = 90000, _ref3[PayloadType.AAC] = 0, _ref3;
    }
  }]);

  function Remuxer(mediaElement) {
    this.mse = new MSE([mediaElement]);
    this.eventSource = new EventEmitter();
    this.mseEventSource = new EventSourceWrapper(this.mse.eventSource);
    this.mse_ready = true;
    this.reset();
    this.errorListener = this.mseClose.bind(this);
    this.closeListener = this.mseClose.bind(this);
    this.eventSource.addEventListener('ready', this.init.bind(this));
  }

  var _proto = Remuxer.prototype;

  _proto.initMSEHandlers = function initMSEHandlers() {
    this.mseEventSource.on('error', this.errorListener);
    this.mseEventSource.on('sourceclosed', this.closeListener);
  };

  _proto.reset =
  /*#__PURE__*/
  function () {
    var _reset = _asyncToGenerator(
    /*#__PURE__*/
    _regeneratorRuntime.mark(function _callee() {
      return _regeneratorRuntime.wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              this.tracks = {};
              this.initialized = false;
              this.initSegments = {};
              this.codecs = [];
              this.streams = {};
              this.enabled = false;
              _context.next = 8;
              return this.mse.clear();

            case 8:
              this.initMSEHandlers();

            case 9:
            case "end":
              return _context.stop();
          }
        }
      }, _callee, this);
    }));

    return function reset() {
      return _reset.apply(this, arguments);
    };
  }();

  _proto.destroy = function destroy() {
    this.mseEventSource.destroy();
    this.mse.destroy();
    this.mse = null;
    this.detachClient();
    this.eventSource.destroy();
  };

  _proto.onTracks = function onTracks(tracks) {
    Log$5.debug('ontracks: ', tracks.detail); // store available track types

    for (var _iterator = tracks.detail, _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : _getIterator(_iterator);;) {
      var _ref4;

      if (_isArray) {
        if (_i >= _iterator.length) break;
        _ref4 = _iterator[_i++];
      } else {
        _i = _iterator.next();
        if (_i.done) break;
        _ref4 = _i.value;
      }

      var track = _ref4;
      this.tracks[track.type] = new Remuxer.TrackConverters[track.type](Remuxer.TrackTimescale[track.type], Remuxer.TrackScaleFactor[track.type], track.params);

      if (track.offset) {
        this.tracks[track.type].timeOffset = track.offset;
      }

      if (track.duration) {
        this.tracks[track.type].mp4track.duration = track.duration * (this.tracks[track.type].timescale || Remuxer.TrackTimescale[track.type]);
        this.tracks[track.type].duration = track.duration;
      } else {
        this.tracks[track.type].duration = 1;
      } // this.tracks[track.type].duration

    }

    this.mse.setLive(!this.client.seekable);
  };

  _proto.setTimeOffset = function setTimeOffset(timeOffset, track) {
    if (this.tracks[track.type]) {
      this.tracks[track.type].timeOffset = timeOffset; ///this.tracks[track.type].scaleFactor;
    }
  };

  _proto.init = function init() {
    var _this = this;

    var tracks = [];
    this.codecs = [];
    var initmse = [];
    var initPts = Infinity;
    var initDts = Infinity;

    for (var track_type in this.tracks) {
      var track = this.tracks[track_type];

      if (!MSE.isSupported([track.mp4track.codec])) {
        throw new Error(track.mp4track.type + " codec " + track.mp4track.codec + " is not supported");
      }

      tracks.push(track.mp4track);
      this.codecs.push(track.mp4track.codec);
      track.init(initPts, initDts
      /*, false*/
      ); // initPts = Math.min(track.initPTS, initPts);
      // initDts = Math.min(track.initDTS, initDts);
    }

    for (var _track_type in this.tracks) {
      var _track = this.tracks[_track_type]; //track.init(initPts, initDts);

      this.initSegments[_track_type] = MP4.initSegment([_track.mp4track], _track.duration * _track.timescale, _track.timescale);
      initmse.push(this.initMSE(_track_type, _track.mp4track.codec));
    }

    this.initialized = true;
    return _Promise.all(initmse).then(function () {
      //this.mse.play();
      _this.enabled = true;
    });
  };

  _proto.initMSE = function initMSE(track_type, codec) {
    var _this2 = this;

    if (MSE.isSupported(this.codecs)) {
      return this.mse.setCodec(track_type, PayloadType.map[track_type] + "/mp4; codecs=\"" + codec + "\"").then(function () {
        _this2.mse.feed(track_type, _this2.initSegments[track_type]); // this.mse.play();
        // this.enabled = true;

      });
    } else {
      throw new Error('Codecs are not supported');
    }
  };

  _proto.mseClose = function mseClose() {
    // this.mse.clear();
    this.client.stop();
    this.eventSource.dispatchEvent('stopped');
  };

  _proto.flush = function flush() {
    this.onSamples();

    if (!this.initialized) {
      // Log.debug(`Initialize...`);
      if (_Object$keys(this.tracks).length) {
        for (var track_type in this.tracks) {
          if (!this.tracks[track_type].readyToDecode || !this.tracks[track_type].samples.length) return;
          Log$5.debug("Init MSE for track " + this.tracks[track_type].mp4track.type);
        }

        this.eventSource.dispatchEvent('ready');
      }
    } else {
      for (var _track_type2 in this.tracks) {
        var track = this.tracks[_track_type2];
        var pay = track.getPayload();

        if (pay && pay.byteLength) {
          this.mse.feed(_track_type2, [MP4.moof(track.seq, track.scaled(track.firstDTS), track.mp4track), MP4.mdat(pay)]);
          track.flush();
        }
      }
    }
  };

  _proto.onSamples = function onSamples(ev) {
    // TODO: check format
    // let data = ev.detail;
    // if (this.tracks[data.pay] && this.client.sampleQueues[data.pay].length) {
    // console.log(`video ${data.units[0].dts}`);
    for (var qidx in this.client.sampleQueues) {
      var queue = this.client.sampleQueues[qidx];

      while (queue.length) {
        var units = queue.shift();

        for (var _iterator2 = units, _isArray2 = Array.isArray(_iterator2), _i2 = 0, _iterator2 = _isArray2 ? _iterator2 : _getIterator(_iterator2);;) {
          var _ref5;

          if (_isArray2) {
            if (_i2 >= _iterator2.length) break;
            _ref5 = _iterator2[_i2++];
          } else {
            _i2 = _iterator2.next();
            if (_i2.done) break;
            _ref5 = _i2.value;
          }

          var chunk = _ref5;
          this.tracks[qidx].remux(chunk);
        }
      }
    } // }

  };

  _proto.onAudioConfig = function onAudioConfig(ev) {
    if (this.tracks[ev.detail.pay]) {
      this.tracks[ev.detail.pay].setConfig(ev.detail.config);
    }
  };

  _proto.attachClient = function attachClient(client) {
    var _this3 = this;

    this.detachClient();
    this.client = client;
    this.clientEventSource = new EventSourceWrapper(this.client.eventSource);
    this.clientEventSource.on('samples', this.samplesListener);
    this.clientEventSource.on('audio_config', this.audioConfigListener);
    this.clientEventSource.on('tracks', this.onTracks.bind(this));
    this.clientEventSource.on('flush', this.flush.bind(this));
    this.clientEventSource.on('clear', function () {
      _this3.reset();

      _this3.mse.clear().then(function () {
        //this.mse.play();
        _this3.initMSEHandlers();
      });
    });
  };

  _proto.detachClient = function detachClient() {
    if (this.client) {
      this.clientEventSource.destroy(); // this.client.eventSource.removeEventListener('samples', this.onSamples.bind(this));
      // this.client.eventSource.removeEventListener('audio_config', this.onAudioConfig.bind(this));
      // // TODO: clear other listeners
      // this.client.eventSource.removeEventListener('clear', this._clearListener);
      // this.client.eventSource.removeEventListener('tracks', this._tracksListener);
      // this.client.eventSource.removeEventListener('flush', this._flushListener);

      this.client = null;
    }
  };

  return Remuxer;
}();

var State =
/*#__PURE__*/
function () {
  function State(name, stateMachine) {
    this.stateMachine = stateMachine;
    this.transitions = new _Set();
    this.name = name;
  }

  var _proto = State.prototype;

  _proto.activate = function activate() {
    return _Promise.resolve(null);
  };

  _proto.finishTransition = function finishTransition() {};

  _proto.failHandler = function failHandler() {};

  _proto.deactivate = function deactivate() {
    return _Promise.resolve(null);
  };

  return State;
}();

var StateMachine =
/*#__PURE__*/
function () {
  function StateMachine() {
    this.storage = {};
    this.currentState = null;
    this.states = new _Map();
  }

  var _proto2 = StateMachine.prototype;

  _proto2.addState = function addState(name, _ref) {
    var activate = _ref.activate,
        finishTransition = _ref.finishTransition,
        deactivate = _ref.deactivate;
    var state = new State(name, this);
    if (activate) state.activate = activate;
    if (finishTransition) state.finishTransition = finishTransition;
    if (deactivate) state.deactivate = deactivate;
    this.states.set(name, state);
    return this;
  };

  _proto2.addTransition = function addTransition(fromName, toName) {
    if (!this.states.has(fromName)) {
      throw ReferenceError("No such state: " + fromName + " while connecting to " + toName);
    }

    if (!this.states.has(toName)) {
      throw ReferenceError("No such state: " + toName + " while connecting from " + fromName);
    }

    this.states.get(fromName).transitions.add(toName);
    return this;
  };

  _proto2._promisify = function _promisify(res) {
    var promise;

    try {
      promise = res;

      if (!promise.then) {
        promise = _Promise.resolve(promise);
      }
    } catch (e) {
      promise = _Promise.reject(e);
    }

    return promise;
  };

  _proto2.transitionTo = function transitionTo(stateName) {
    var _this = this;

    if (this.currentState == null) {
      var state = this.states.get(stateName);
      return this._promisify(state.activate.call(this)).then(function (data) {
        _this.currentState = state;
        return data;
      }).then(state.finishTransition.bind(this)).catch(function (e) {
        state.failHandler();
        throw e;
      });
    }

    if (this.currentState.name == stateName) return _Promise.resolve();

    if (this.currentState.transitions.has(stateName)) {
      var _state = this.states.get(stateName);

      return this._promisify(_state.deactivate.call(this)).then(_state.activate.bind(this)).then(function (data) {
        _this.currentState = _state;
        return data;
      }).then(_state.finishTransition.bind(this)).catch(function (e) {
        _state.failHandler();

        throw e;
      });
    } else {
      return _Promise.reject("No such transition: " + this.currentState.name + " to " + stateName);
    }
  };

  return StateMachine;
}();

var Log$6 = getTagged('parser:sdp');
var SDPParser =
/*#__PURE__*/
function () {
  function SDPParser() {
    this.version = -1;
    this.origin = null;
    this.sessionName = null;
    this.timing = null;
    this.sessionBlock = {};
    this.media = {};
    this.tracks = {};
    this.mediaMap = {};
  }

  var _proto = SDPParser.prototype;

  _proto.parse = function parse(content) {
    var _this = this;

    Log$6.debug(content);
    return new _Promise(function (resolve, reject) {
      var dataString = content;
      var success = true;
      var currentMediaBlock = _this.sessionBlock; // TODO: multiple audio/video tracks

      for (var _iterator = dataString.split('\n'), _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : _getIterator(_iterator);;) {
        var _ref;

        if (_isArray) {
          if (_i >= _iterator.length) break;
          _ref = _iterator[_i++];
        } else {
          _i = _iterator.next();
          if (_i.done) break;
          _ref = _i.value;
        }

        var line = _ref;
        line = line.replace(/\r/, '');

        if (0 === line.length) {
          /* Empty row (last row perhaps?), skip to next */
          continue;
        }

        switch (line.charAt(0)) {
          case 'v':
            if (-1 !== _this.version) {
              Log$6.log('Version present multiple times in SDP');
              reject();
              return false;
            }

            success = success && _this._parseVersion(line);
            break;

          case 'o':
            if (null !== _this.origin) {
              Log$6.log('Origin present multiple times in SDP');
              reject();
              return false;
            }

            success = success && _this._parseOrigin(line);
            break;

          case 's':
            if (null !== _this.sessionName) {
              Log$6.log('Session Name present multiple times in SDP');
              reject();
              return false;
            }

            success = success && _this._parseSessionName(line);
            break;

          case 't':
            if (null !== _this.timing) {
              Log$6.log('Timing present multiple times in SDP');
              reject();
              return false;
            }

            success = success && _this._parseTiming(line);
            break;

          case 'm':
            if (null !== currentMediaBlock && _this.sessionBlock !== currentMediaBlock) {
              /* Complete previous block and store it */
              _this.media[currentMediaBlock.type] = currentMediaBlock;
            }
            /* A wild media block appears */


            currentMediaBlock = {};
            currentMediaBlock.rtpmap = {};

            _this._parseMediaDescription(line, currentMediaBlock);

            break;

          case 'a':
            SDPParser._parseAttribute(line, currentMediaBlock);

            break;

          default:
            Log$6.log('Ignored unknown SDP directive: ' + line);
            break;
        }

        if (!success) {
          reject();
          return;
        }
      }

      _this.media[currentMediaBlock.type] = currentMediaBlock;
      success ? resolve() : reject();
    });
  };

  _proto._parseVersion = function _parseVersion(line) {
    var matches = line.match(/^v=([0-9]+)$/);

    if (!matches || !matches.length) {
      Log$6.log("'v=' (Version) formatted incorrectly: " + line);
      return false;
    }

    this.version = matches[1];

    if (0 != this.version) {
      Log$6.log('Unsupported SDP version:' + this.version);
      return false;
    }

    return true;
  };

  _proto._parseOrigin = function _parseOrigin(line) {
    var matches = line.match(/^o=([^ ]+) (-?[0-9]+) (-?[0-9]+) (IN) (IP4|IP6) ([^ ]+)$/);

    if (!matches || !matches.length) {
      Log$6.log("'o=' (Origin) formatted incorrectly: " + line);
      return false;
    }

    this.origin = {};
    this.origin.username = matches[1];
    this.origin.sessionid = matches[2];
    this.origin.sessionversion = matches[3];
    this.origin.nettype = matches[4];
    this.origin.addresstype = matches[5];
    this.origin.unicastaddress = matches[6];
    return true;
  };

  _proto._parseSessionName = function _parseSessionName(line) {
    var matches = line.match(/^s=([^\r\n]+)$/);

    if (!matches || !matches.length) {
      Log$6.log("'s=' (Session Name) formatted incorrectly: " + line);
      return false;
    }

    this.sessionName = matches[1];
    return true;
  };

  _proto._parseTiming = function _parseTiming(line) {
    var matches = line.match(/^t=([0-9]+) ([0-9]+)$/);

    if (!matches || !matches.length) {
      Log$6.log("'t=' (Timing) formatted incorrectly: " + line);
      return false;
    }

    this.timing = {};
    this.timing.start = matches[1];
    this.timing.stop = matches[2];
    return true;
  };

  _proto._parseMediaDescription = function _parseMediaDescription(line, media) {
    var matches = line.match(/^m=([^ ]+) ([^ ]+) ([^ ]+)[ ]/);

    if (!matches || !matches.length) {
      Log$6.log("'m=' (Media) formatted incorrectly: " + line);
      return false;
    }

    media.type = matches[1];
    media.port = matches[2];
    media.proto = matches[3];
    media.fmt = line.substr(matches[0].length).split(' ').map(function (fmt, index, array) {
      return parseInt(fmt);
    });

    for (var _iterator2 = media.fmt, _isArray2 = Array.isArray(_iterator2), _i2 = 0, _iterator2 = _isArray2 ? _iterator2 : _getIterator(_iterator2);;) {
      var _ref2;

      if (_isArray2) {
        if (_i2 >= _iterator2.length) break;
        _ref2 = _iterator2[_i2++];
      } else {
        _i2 = _iterator2.next();
        if (_i2.done) break;
        _ref2 = _i2.value;
      }

      var fmt = _ref2;
      this.mediaMap[fmt] = media;
    }

    return true;
  };

  SDPParser._parseAttribute = function _parseAttribute(line, media) {
    if (null === media) {
      /* Not in a media block, can't be bothered parsing attributes for session */
      return true;
    }

    var matches;
    /* Used for some cases of below switch-case */

    var separator = line.indexOf(':');
    var attribute = line.substr(0, -1 === separator ? 0x7fffffff : separator);
    /* 0x7FF.. is default */

    switch (attribute) {
      case 'a=recvonly':
      case 'a=sendrecv':
      case 'a=sendonly':
      case 'a=inactive':
        media.mode = line.substr('a='.length);
        break;

      case 'a=range':
        matches = line.match(/^a=range:\s*([a-zA-Z-]+)=([0-9.]+|now)\s*-\s*([0-9.]*)$/);
        media.range = [Number(matches[2] == 'now' ? -1 : matches[2]), Number(matches[3]), matches[1]];
        break;

      case 'a=control':
        media.control = line.substr('a=control:'.length);
        break;

      case 'a=rtpmap':
        matches = line.match(/^a=rtpmap:(\d+) (.*)$/);

        if (null === matches) {
          Log$6.log("Could not parse 'rtpmap' of 'a='");
          return false;
        }

        var payload = parseInt(matches[1]);
        media.rtpmap[payload] = {};
        var attrs = matches[2].split('/');
        media.rtpmap[payload].name = attrs[0].toUpperCase();
        media.rtpmap[payload].clock = attrs[1];

        if (undefined !== attrs[2]) {
          media.rtpmap[payload].encparams = attrs[2];
        }

        media.ptype = PayloadType.string_map[attrs[0].toUpperCase()];
        break;

      case 'a=fmtp':
        matches = line.match(/^a=fmtp:(\d+) (.*)$/);

        if (0 === matches.length) {
          Log$6.log("Could not parse 'fmtp'  of 'a='");
          return false;
        }

        media.fmtp = {};

        for (var _iterator3 = matches[2].split(';'), _isArray3 = Array.isArray(_iterator3), _i3 = 0, _iterator3 = _isArray3 ? _iterator3 : _getIterator(_iterator3);;) {
          var _ref3;

          if (_isArray3) {
            if (_i3 >= _iterator3.length) break;
            _ref3 = _iterator3[_i3++];
          } else {
            _i3 = _iterator3.next();
            if (_i3.done) break;
            _ref3 = _i3.value;
          }

          var param = _ref3;
          var idx = param.indexOf('=');
          media.fmtp[param.substr(0, idx).toLowerCase().trim()] = param.substr(idx + 1).trim();
        }

        break;
    }

    return true;
  };

  _proto.getSessionBlock = function getSessionBlock() {
    return this.sessionBlock;
  };

  _proto.hasMedia = function hasMedia(mediaType) {
    return this.media[mediaType] != undefined;
  };

  _proto.getMediaBlock = function getMediaBlock(mediaType) {
    return this.media[mediaType];
  };

  _proto.getMediaBlockByPayloadType = function getMediaBlockByPayloadType(pt) {
    // for (var m in this.media) {
    //     if (-1 !== this.media[m].fmt.indexOf(pt)) {
    //         return this.media[m];
    //     }
    // }
    return this.mediaMap[pt] || null; //ErrorManager.dispatchError(826, [pt], true);
    // Log.error(`failed to find media with payload type ${pt}`);
    //
    // return null;
  };

  _proto.getMediaBlockList = function getMediaBlockList() {
    var res = [];

    for (var m in this.media) {
      res.push(m);
    }

    return res;
  };

  return SDPParser;
}();

var LOG_TAG$2 = "rtsp:stream";
var Log$7 = getTagged(LOG_TAG$2);
var RTSPStream =
/*#__PURE__*/
function () {
  function RTSPStream(client, track) {
    this.state = null;
    this.client = client;
    this.track = track;
    this.rtpChannel = 1;
    this.stopKeepAlive();
    this.keepaliveInterval = null;
    this.keepaliveTime = 30000;
  }

  var _proto = RTSPStream.prototype;

  _proto.reset = function reset() {
    this.stopKeepAlive();
    this.client.forgetRTPChannel(this.rtpChannel);
    this.client = null;
    this.track = null;
  };

  _proto.start = function start(lastSetupPromise) {
    var _this = this;

    if (lastSetupPromise === void 0) {
      lastSetupPromise = null;
    }

    if (lastSetupPromise != null) {
      // if a setup was already made, use the same session
      return lastSetupPromise.then(function (obj) {
        return _this.sendSetup(obj.session);
      });
    } else {
      return this.sendSetup();
    }
  };

  _proto.stop = function stop() {
    return this.sendTeardown();
  };

  _proto.getSetupURL = function getSetupURL(track) {
    var sessionBlock = this.client.sdp.getSessionBlock();

    if (Url.isAbsolute(track.control)) {
      return track.control;
    } else if (Url.isAbsolute("" + sessionBlock.control + track.control)) {
      return "" + sessionBlock.control + track.control;
    } else if (Url.isAbsolute("" + this.client.contentBase + track.control)) {
      /* Should probably check session level control before this */
      return "" + this.client.contentBase + track.control;
    } else {
      //need return default
      return track.control;
    }

    Log$7.error('Can\'t determine track URL from ' + 'block.control:' + track.control + ', ' + 'session.control:' + sessionBlock.control + ', and ' + 'content-base:' + this.client.contentBase);
  };

  _proto.getControlURL = function getControlURL() {
    var ctrl = this.client.sdp.getSessionBlock().control;

    if (Url.isAbsolute(ctrl)) {
      return ctrl;
    } else if (!ctrl || '*' === ctrl) {
      return this.client.contentBase;
    } else {
      return "" + this.client.contentBase + ctrl;
    }
  };

  _proto.sendKeepalive = function sendKeepalive() {
    if (this.client.methods.includes('GET_PARAMETER')) {
      return this.client.sendRequest('GET_PARAMETER', this.getSetupURL(this.track), {
        'Session': this.session
      });
    } else {
      return this.client.sendRequest('OPTIONS', '*');
    }
  };

  _proto.stopKeepAlive = function stopKeepAlive() {
    clearInterval(this.keepaliveInterval);
  };

  _proto.startKeepAlive = function startKeepAlive() {
    var _this2 = this;

    this.keepaliveInterval = setInterval(function () {
      _this2.sendKeepalive().catch(function (e) {
        Log$7.error(e);

        if (e instanceof RTSPError) {
          if (Number(e.data.parsed.code) == 501) {
            return;
          }
        }

        _this2.client.reconnect();
      });
    }, this.keepaliveTime);
  };

  _proto.sendRequest = function sendRequest(_cmd, _params) {
    if (_params === void 0) {
      _params = {};
    }

    var params = {};

    if (this.session) {
      params['Session'] = this.session;
    }

    _Object$assign(params, _params);

    return this.client.sendRequest(_cmd, this.getControlURL(), params);
  };

  _proto.sendSetup = function sendSetup(session) {
    var _this3 = this;

    if (session === void 0) {
      session = null;
    }

    this.state = RTSPClientSM.STATE_SETUP;
    this.rtpChannel = this.client.interleaveChannelIndex;
    var interleavedChannels = this.client.interleaveChannelIndex++ + "-" + this.client.interleaveChannelIndex++;
    var params = {
      'Transport': "RTP/AVP/TCP;unicast;interleaved=" + interleavedChannels,
      'Date': new Date().toUTCString()
    };

    if (session) {
      params.Session = session;
    }

    return this.client.sendRequest('SETUP', this.getSetupURL(this.track), params).then(function (_data) {
      _this3.session = _data.headers['session'];
      var transport = _data.headers['transport'];

      if (transport) {
        var interleaved = transport.match(/interleaved=([0-9]+)-([0-9]+)/)[1];

        if (interleaved) {
          _this3.rtpChannel = Number(interleaved);
        }
      }

      var sessionParamsChunks = _this3.session.split(';').slice(1);

      var sessionParams = {};

      for (var _iterator = sessionParamsChunks, _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : _getIterator(_iterator);;) {
        var _ref;

        if (_isArray) {
          if (_i >= _iterator.length) break;
          _ref = _iterator[_i++];
        } else {
          _i = _iterator.next();
          if (_i.done) break;
          _ref = _i.value;
        }

        var chunk = _ref;
        var kv = chunk.split('=');
        sessionParams[kv[0]] = kv[1];
      }

      if (sessionParams['timeout']) {
        _this3.keepaliveInterval = Number(sessionParams['timeout']) * 500; // * 1000 / 2
      }
      /*if (!/RTP\/AVP\/TCP;unicast;interleaved=/.test(_data.headers["transport"])) {
          // TODO: disconnect stream and notify client
          throw new Error("Connection broken");
      }*/


      _this3.client.useRTPChannel(_this3.rtpChannel);

      _this3.startKeepAlive();

      return {
        track: _this3.track,
        data: _data,
        session: _this3.session
      };
    });
  };

  return RTSPStream;
}();

/*
 * JavaScript MD5
 * https://github.com/blueimp/JavaScript-MD5
 *
 * Copyright 2011, Sebastian Tschan
 * https://blueimp.net
 *
 * Licensed under the MIT license:
 * https://opensource.org/licenses/MIT
 *
 * Based on
 * A JavaScript implementation of the RSA Data Security, Inc. MD5 Message
 * Digest Algorithm, as defined in RFC 1321.
 * Version 2.2 Copyright (C) Paul Johnston 1999 - 2009
 * Other contributors: Greg Holt, Andrew Kepert, Ydnar, Lostinet
 * Distributed under the BSD License
 * See http://pajhome.org.uk/crypt/md5 for more info.
 */

/*
* Add integers, wrapping at 2^32. This uses 16-bit operations internally
* to work around bugs in some JS interpreters.
*/
function safeAdd(x, y) {
  var lsw = (x & 0xFFFF) + (y & 0xFFFF);
  var msw = (x >> 16) + (y >> 16) + (lsw >> 16);
  return msw << 16 | lsw & 0xFFFF;
}
/*
* Bitwise rotate a 32-bit number to the left.
*/


function bitRotateLeft(num, cnt) {
  return num << cnt | num >>> 32 - cnt;
}
/*
* These functions implement the four basic operations the algorithm uses.
*/


function md5cmn(q, a, b, x, s, t) {
  return safeAdd(bitRotateLeft(safeAdd(safeAdd(a, q), safeAdd(x, t)), s), b);
}

function md5ff(a, b, c, d, x, s, t) {
  return md5cmn(b & c | ~b & d, a, b, x, s, t);
}

function md5gg(a, b, c, d, x, s, t) {
  return md5cmn(b & d | c & ~d, a, b, x, s, t);
}

function md5hh(a, b, c, d, x, s, t) {
  return md5cmn(b ^ c ^ d, a, b, x, s, t);
}

function md5ii(a, b, c, d, x, s, t) {
  return md5cmn(c ^ (b | ~d), a, b, x, s, t);
}
/*
* Calculate the MD5 of an array of little-endian words, and a bit length.
*/


function binlMD5(x, len) {
  /* append padding */
  x[len >> 5] |= 0x80 << len % 32;
  x[(len + 64 >>> 9 << 4) + 14] = len;
  var i;
  var olda;
  var oldb;
  var oldc;
  var oldd;
  var a = 1732584193;
  var b = -271733879;
  var c = -1732584194;
  var d = 271733878;

  for (i = 0; i < x.length; i += 16) {
    olda = a;
    oldb = b;
    oldc = c;
    oldd = d;
    a = md5ff(a, b, c, d, x[i], 7, -680876936);
    d = md5ff(d, a, b, c, x[i + 1], 12, -389564586);
    c = md5ff(c, d, a, b, x[i + 2], 17, 606105819);
    b = md5ff(b, c, d, a, x[i + 3], 22, -1044525330);
    a = md5ff(a, b, c, d, x[i + 4], 7, -176418897);
    d = md5ff(d, a, b, c, x[i + 5], 12, 1200080426);
    c = md5ff(c, d, a, b, x[i + 6], 17, -1473231341);
    b = md5ff(b, c, d, a, x[i + 7], 22, -45705983);
    a = md5ff(a, b, c, d, x[i + 8], 7, 1770035416);
    d = md5ff(d, a, b, c, x[i + 9], 12, -1958414417);
    c = md5ff(c, d, a, b, x[i + 10], 17, -42063);
    b = md5ff(b, c, d, a, x[i + 11], 22, -1990404162);
    a = md5ff(a, b, c, d, x[i + 12], 7, 1804603682);
    d = md5ff(d, a, b, c, x[i + 13], 12, -40341101);
    c = md5ff(c, d, a, b, x[i + 14], 17, -1502002290);
    b = md5ff(b, c, d, a, x[i + 15], 22, 1236535329);
    a = md5gg(a, b, c, d, x[i + 1], 5, -165796510);
    d = md5gg(d, a, b, c, x[i + 6], 9, -1069501632);
    c = md5gg(c, d, a, b, x[i + 11], 14, 643717713);
    b = md5gg(b, c, d, a, x[i], 20, -373897302);
    a = md5gg(a, b, c, d, x[i + 5], 5, -701558691);
    d = md5gg(d, a, b, c, x[i + 10], 9, 38016083);
    c = md5gg(c, d, a, b, x[i + 15], 14, -660478335);
    b = md5gg(b, c, d, a, x[i + 4], 20, -405537848);
    a = md5gg(a, b, c, d, x[i + 9], 5, 568446438);
    d = md5gg(d, a, b, c, x[i + 14], 9, -1019803690);
    c = md5gg(c, d, a, b, x[i + 3], 14, -187363961);
    b = md5gg(b, c, d, a, x[i + 8], 20, 1163531501);
    a = md5gg(a, b, c, d, x[i + 13], 5, -1444681467);
    d = md5gg(d, a, b, c, x[i + 2], 9, -51403784);
    c = md5gg(c, d, a, b, x[i + 7], 14, 1735328473);
    b = md5gg(b, c, d, a, x[i + 12], 20, -1926607734);
    a = md5hh(a, b, c, d, x[i + 5], 4, -378558);
    d = md5hh(d, a, b, c, x[i + 8], 11, -2022574463);
    c = md5hh(c, d, a, b, x[i + 11], 16, 1839030562);
    b = md5hh(b, c, d, a, x[i + 14], 23, -35309556);
    a = md5hh(a, b, c, d, x[i + 1], 4, -1530992060);
    d = md5hh(d, a, b, c, x[i + 4], 11, 1272893353);
    c = md5hh(c, d, a, b, x[i + 7], 16, -155497632);
    b = md5hh(b, c, d, a, x[i + 10], 23, -1094730640);
    a = md5hh(a, b, c, d, x[i + 13], 4, 681279174);
    d = md5hh(d, a, b, c, x[i], 11, -358537222);
    c = md5hh(c, d, a, b, x[i + 3], 16, -722521979);
    b = md5hh(b, c, d, a, x[i + 6], 23, 76029189);
    a = md5hh(a, b, c, d, x[i + 9], 4, -640364487);
    d = md5hh(d, a, b, c, x[i + 12], 11, -421815835);
    c = md5hh(c, d, a, b, x[i + 15], 16, 530742520);
    b = md5hh(b, c, d, a, x[i + 2], 23, -995338651);
    a = md5ii(a, b, c, d, x[i], 6, -198630844);
    d = md5ii(d, a, b, c, x[i + 7], 10, 1126891415);
    c = md5ii(c, d, a, b, x[i + 14], 15, -1416354905);
    b = md5ii(b, c, d, a, x[i + 5], 21, -57434055);
    a = md5ii(a, b, c, d, x[i + 12], 6, 1700485571);
    d = md5ii(d, a, b, c, x[i + 3], 10, -1894986606);
    c = md5ii(c, d, a, b, x[i + 10], 15, -1051523);
    b = md5ii(b, c, d, a, x[i + 1], 21, -2054922799);
    a = md5ii(a, b, c, d, x[i + 8], 6, 1873313359);
    d = md5ii(d, a, b, c, x[i + 15], 10, -30611744);
    c = md5ii(c, d, a, b, x[i + 6], 15, -1560198380);
    b = md5ii(b, c, d, a, x[i + 13], 21, 1309151649);
    a = md5ii(a, b, c, d, x[i + 4], 6, -145523070);
    d = md5ii(d, a, b, c, x[i + 11], 10, -1120210379);
    c = md5ii(c, d, a, b, x[i + 2], 15, 718787259);
    b = md5ii(b, c, d, a, x[i + 9], 21, -343485551);
    a = safeAdd(a, olda);
    b = safeAdd(b, oldb);
    c = safeAdd(c, oldc);
    d = safeAdd(d, oldd);
  }

  return [a, b, c, d];
}
/*
* Convert an array of little-endian words to a string
*/


function binl2rstr(input) {
  var i;
  var output = '';
  var length32 = input.length * 32;

  for (i = 0; i < length32; i += 8) {
    output += String.fromCharCode(input[i >> 5] >>> i % 32 & 0xFF);
  }

  return output;
}
/*
* Convert a raw string to an array of little-endian words
* Characters >255 have their high-byte silently ignored.
*/


function rstr2binl(input) {
  var i;
  var output = [];
  output[(input.length >> 2) - 1] = undefined;

  for (i = 0; i < output.length; i += 1) {
    output[i] = 0;
  }

  var length8 = input.length * 8;

  for (i = 0; i < length8; i += 8) {
    output[i >> 5] |= (input.charCodeAt(i / 8) & 0xFF) << i % 32;
  }

  return output;
}
/*
* Calculate the MD5 of a raw string
*/


function rstrMD5(s) {
  return binl2rstr(binlMD5(rstr2binl(s), s.length * 8));
}
/*
* Calculate the HMAC-MD5, of a key and some data (raw strings)
*/


function rstrHMACMD5(key, data) {
  var i;
  var bkey = rstr2binl(key);
  var ipad = [];
  var opad = [];
  var hash;
  ipad[15] = opad[15] = undefined;

  if (bkey.length > 16) {
    bkey = binlMD5(bkey, key.length * 8);
  }

  for (i = 0; i < 16; i += 1) {
    ipad[i] = bkey[i] ^ 0x36363636;
    opad[i] = bkey[i] ^ 0x5C5C5C5C;
  }

  hash = binlMD5(ipad.concat(rstr2binl(data)), 512 + data.length * 8);
  return binl2rstr(binlMD5(opad.concat(hash), 512 + 128));
}
/*
* Convert a raw string to a hex string
*/


function rstr2hex(input) {
  var hexTab = '0123456789abcdef';
  var output = '';
  var x;
  var i;

  for (i = 0; i < input.length; i += 1) {
    x = input.charCodeAt(i);
    output += hexTab.charAt(x >>> 4 & 0x0F) + hexTab.charAt(x & 0x0F);
  }

  return output;
}
/*
* Encode a string as utf-8
*/


function str2rstrUTF8(input) {
  return unescape(encodeURIComponent(input));
}
/*
* Take string arguments and return either raw or hex encoded strings
*/


function rawMD5(s) {
  return rstrMD5(str2rstrUTF8(s));
}

function hexMD5(s) {
  return rstr2hex(rawMD5(s));
}

function rawHMACMD5(k, d) {
  return rstrHMACMD5(str2rstrUTF8(k), str2rstrUTF8(d));
}

function hexHMACMD5(k, d) {
  return rstr2hex(rawHMACMD5(k, d));
}

function md5(string, key, raw) {
  if (!key) {
    if (!raw) {
      return hexMD5(string);
    }

    return rawMD5(string);
  }

  if (!raw) {
    return hexHMACMD5(key, string);
  }

  return rawHMACMD5(key, string);
}

// TODO: asm.js

var RTP =
/*#__PURE__*/
function () {
  function RTP(pkt
  /*uint8array*/
  , sdp) {
    var bytes = new DataView(pkt.buffer, pkt.byteOffset, pkt.byteLength);
    this.version = bytes.getUint8(0) >>> 6;
    this.padding = bytes.getUint8(0) & 0x20 >>> 5;
    this.has_extension = bytes.getUint8(0) & 0x10 >>> 4;
    this.csrc = bytes.getUint8(0) & 0x0f;
    this.marker = bytes.getUint8(1) >>> 7;
    this.pt = bytes.getUint8(1) & 0x7f;
    this.sequence = bytes.getUint16(2);
    this.timestamp = bytes.getUint32(4);
    this.ssrc = bytes.getUint32(8);
    this.csrcs = [];
    var pktIndex = 12;

    if (this.csrc > 0) {
      this.csrcs.push(bytes.getUint32(pktIndex));
      pktIndex += 4;
    }

    if (this.has_extension == 1) {
      this.extension = bytes.getUint16(pktIndex);
      this.ehl = bytes.getUint16(pktIndex + 2);
      pktIndex += 4;
      this.header_data = pkt.slice(pktIndex, this.ehl);
      pktIndex += this.ehl;
    }

    this.headerLength = pktIndex;
    var padLength = 0;

    if (this.padding) {
      padLength = bytes.getUint8(pkt.byteLength - 1);
    } // this.bodyLength   = pkt.byteLength-this.headerLength-padLength;


    this.media = sdp.getMediaBlockByPayloadType(this.pt);

    if (null === this.media) {
      Log.log("Media description for payload type: " + this.pt + " not provided.");
    } else {
      this.type = this.media.ptype; //PayloadType.string_map[this.media.rtpmap[this.media.fmt[0]].name];
    }

    this.data = pkt.subarray(pktIndex); // this.timestamp = 1000 * (this.timestamp / this.media.rtpmap[this.pt].clock);
    // console.log(this);
  }

  var _proto = RTP.prototype;

  _proto.getPayload = function getPayload() {
    return this.data;
  };

  _proto.getTimestampMS = function getTimestampMS() {
    return this.timestamp; //1000 * (this.timestamp / this.media.rtpmap[this.pt].clock);
  };

  _proto.toString = function toString() {
    return 'RTP(' + 'version:' + this.version + ', ' + 'padding:' + this.padding + ', ' + 'has_extension:' + this.has_extension + ', ' + 'csrc:' + this.csrc + ', ' + 'marker:' + this.marker + ', ' + 'pt:' + this.pt + ', ' + 'sequence:' + this.sequence + ', ' + 'timestamp:' + this.timestamp + ', ' + 'ssrc:' + this.ssrc + ')';
  };

  _proto.isVideo = function isVideo() {
    return this.media.type == 'video';
  };

  _proto.isAudio = function isAudio() {
    return this.media.type == 'audio';
  };

  return RTP;
}();

var RTPFactory =
/*#__PURE__*/
function () {
  function RTPFactory(sdp) {
    this.tsOffsets = {};

    for (var pay in sdp.media) {
      for (var _iterator = sdp.media[pay].fmt, _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : _getIterator(_iterator);;) {
        var _ref;

        if (_isArray) {
          if (_i >= _iterator.length) break;
          _ref = _iterator[_i++];
        } else {
          _i = _iterator.next();
          if (_i.done) break;
          _ref = _i.value;
        }

        var pt = _ref;
        this.tsOffsets[pt] = {
          last: 0,
          overflow: 0
        };
      }
    }
  }

  var _proto = RTPFactory.prototype;

  _proto.build = function build(pkt
  /*uint8array*/
  , sdp) {
    var rtp = new RTP(pkt, sdp);
    var tsOffset = this.tsOffsets[rtp.pt];

    if (tsOffset) {
      rtp.timestamp += tsOffset.overflow;

      if (tsOffset.last && Math.abs(rtp.timestamp - tsOffset.last) > 0x7fffffff) {
        console.log("\nlast ts: " + tsOffset.last + "\n\n                            new ts: " + rtp.timestamp + "\n\n                            new ts adjusted: " + (rtp.timestamp + 0xffffffff) + "\n\n                            last overflow: " + tsOffset.overflow + "\n\n                            new overflow: " + (tsOffset.overflow + 0xffffffff) + "\n\n                            ");
        tsOffset.overflow += 0xffffffff;
        rtp.timestamp += 0xffffffff;
      }
      /*if (rtp.timestamp>0xffffffff) {
                console.log(`ts: ${rtp.timestamp}, seq: ${rtp.sequence}`);
            }*/


      tsOffset.last = rtp.timestamp;
    }

    return rtp;
  };

  return RTPFactory;
}();

var RTSPMessage =
/*#__PURE__*/
function () {
  _createClass(RTSPMessage, null, [{
    key: "RTSP_1_0",
    get: function get() {
      return "RTSP/1.0";
    }
  }]);

  function RTSPMessage(_rtsp_version) {
    this.version = _rtsp_version;
  }

  var _proto = RTSPMessage.prototype;

  _proto.build = function build(_cmd, _host, _params, _payload) {
    if (_params === void 0) {
      _params = {};
    }

    if (_payload === void 0) {
      _payload = null;
    }

    var requestString = _cmd + " " + _host + " " + this.version + "\r\n";

    for (var param in _params) {
      requestString += param + ": " + _params[param] + "\r\n";
    } // TODO: binary payload


    if (_payload) {
      requestString += "Content-Length: " + _payload.length + "\r\n";
    }

    requestString += '\r\n';

    if (_payload) {
      requestString += _payload;
    }

    return requestString;
  };

  _proto.parse = function parse(_data) {
    var lines = _data.split('\r\n');

    var parsed = {
      headers: {},
      body: null,
      code: 0,
      statusLine: ''
    };

    try {
      var match;

      var _lines$0$match = lines[0].match(new RegExp(this.version + "[ ]+([0-9]{3})[ ]+(.*)"));

      match = _lines$0$match[0];
      parsed.code = _lines$0$match[1];
      parsed.statusLine = _lines$0$match[2];
      parsed.code = Number(parsed.code);
      var lineIdx = 1;

      while (lines[lineIdx]) {
        var _lines$lineIdx$split = lines[lineIdx].split(/:(.+)/),
            k = _lines$lineIdx$split[0],
            v = _lines$lineIdx$split[1];

        parsed.headers[k.toLowerCase()] = v.trim();
        lineIdx++;
      }

      parsed.body = lines.slice(lineIdx).join('\n\r');
    } catch (err) {}

    return parsed;
  };

  return RTSPMessage;
}();
var MessageBuilder = new RTSPMessage(RTSPMessage.RTSP_1_0);

var NALUAsm =
/*#__PURE__*/
function () {
  function NALUAsm() {
    this.fragmented_nalu = null;
  }

  NALUAsm.parseNALHeader = function parseNALHeader(hdr) {
    return {
      nri: hdr & 0x60,
      type: hdr & 0x1f
    };
  };

  var _proto = NALUAsm.prototype;

  _proto.parseSingleNALUPacket = function parseSingleNALUPacket(rawData, header, dts, pts) {
    return new NALU(header.type, header.nri, rawData.subarray(0), dts, pts);
  };

  _proto.parseAggregationPacket = function parseAggregationPacket(rawData, header, dts, pts) {
    var data = new DataView(rawData.buffer, rawData.byteOffset, rawData.byteLength);
    var nal_start_idx = 0;
    var don = null;

    if (NALU.STAP_B === header.type) {
      don = data.getUint16(nal_start_idx);
      nal_start_idx += 2;
    }

    var ret = [];

    while (nal_start_idx < data.byteLength) {
      var size = data.getUint16(nal_start_idx);
      nal_start_idx += 2;

      var _header = NALUAsm.parseNALHeader(data.getInt8(nal_start_idx));

      nal_start_idx++;
      var nalu = this.parseSingleNALUPacket(rawData.subarray(nal_start_idx, nal_start_idx + size), _header, dts, pts);

      if (nalu !== null) {
        ret.push(nalu);
      }

      nal_start_idx += size;
    }

    return ret;
  };

  _proto.parseFragmentationUnit = function parseFragmentationUnit(rawData, header, dts, pts) {
    var data = new DataView(rawData.buffer, rawData.byteOffset, rawData.byteLength);
    var nal_start_idx = 0;
    var fu_header = data.getUint8(nal_start_idx);
    var is_start = (fu_header & 0x80) >>> 7;
    var is_end = (fu_header & 0x40) >>> 6;
    var payload_type = fu_header & 0x1f;
    var ret = null;
    nal_start_idx++;
    var don = 0;

    if (NALU.FU_B === header.type) {
      don = data.getUint16(nal_start_idx);
      nal_start_idx += 2;
    }

    if (is_start) {
      this.fragmented_nalu = new NALU(payload_type, header.nri, rawData.subarray(nal_start_idx), dts, pts);
    }

    if (this.fragmented_nalu && this.fragmented_nalu.ntype === payload_type) {
      if (!is_start) {
        this.fragmented_nalu.appendData(rawData.subarray(nal_start_idx));
      }

      if (is_end) {
        ret = this.fragmented_nalu;
        this.fragmented_nalu = null;
        return ret;
      }
    }

    return null;
  };

  _proto.onNALUFragment = function onNALUFragment(rawData, dts, pts) {
    var data = new DataView(rawData.buffer, rawData.byteOffset, rawData.byteLength);
    var header = NALUAsm.parseNALHeader(data.getUint8(0));
    var nal_start_idx = 1;
    var unit = null;

    if (header.type > 0 && header.type < 24) {
      unit = this.parseSingleNALUPacket(rawData.subarray(nal_start_idx), header, dts, pts);
    } else if (NALU.FU_A === header.type || NALU.FU_B === header.type) {
      unit = this.parseFragmentationUnit(rawData.subarray(nal_start_idx), header, dts, pts);
    } else if (NALU.STAP_A === header.type || NALU.STAP_B === header.type) {
      return this.parseAggregationPacket(rawData.subarray(nal_start_idx), header, dts, pts);
    } else {
      /* 30 - 31 is undefined, ignore those (RFC3984). */
      Log.log('Undefined NAL unit, type: ' + header.type);
      return null;
    }

    if (unit) {
      return [unit];
    }

    return null;
  };

  return NALUAsm;
}();

var AACFrame =
/*#__PURE__*/
function () {
  function AACFrame(data, dts, pts) {
    this.dts = dts;
    this.pts = pts ? pts : this.dts;
    this.data = data; //.subarray(offset);
  }

  var _proto = AACFrame.prototype;

  _proto.getData = function getData() {
    return this.data;
  };

  _proto.getSize = function getSize() {
    return this.data.byteLength;
  };

  return AACFrame;
}();

// TODO: asm.js

var AACAsm =
/*#__PURE__*/
function () {
  function AACAsm() {
    this.config = null;
  }

  var _proto = AACAsm.prototype;

  _proto.onAACFragment = function onAACFragment(pkt) {
    var rawData = pkt.getPayload();

    if (!pkt.media) {
      return null;
    }

    var data = new DataView(rawData.buffer, rawData.byteOffset, rawData.byteLength);
    var sizeLength = Number(pkt.media.fmtp['sizelength'] || 0);
    var indexLength = Number(pkt.media.fmtp['indexlength'] || 0);
    var indexDeltaLength = Number(pkt.media.fmtp['indexdeltalength'] || 0);
    var CTSDeltaLength = Number(pkt.media.fmtp['ctsdeltalength'] || 0);
    var DTSDeltaLength = Number(pkt.media.fmtp['dtsdeltalength'] || 0);
    var RandomAccessIndication = Number(pkt.media.fmtp['randomaccessindication'] || 0);
    var StreamStateIndication = Number(pkt.media.fmtp['streamstateindication'] || 0);
    var AuxiliaryDataSizeLength = Number(pkt.media.fmtp['auxiliarydatasizelength'] || 0);
    var configHeaderLength = sizeLength + Math.max(indexLength, indexDeltaLength) + CTSDeltaLength + DTSDeltaLength + RandomAccessIndication + StreamStateIndication + AuxiliaryDataSizeLength;
    var auHeadersLengthPadded = 0;
    var offset = 0;
    var ts = (Math.round(pkt.getTimestampMS() / 1024) << 10) * 90000 / this.config.samplerate;

    if (0 !== configHeaderLength) {
      /* The AU header section is not empty, read it from payload */
      var auHeadersLengthInBits = data.getUint16(0); // Always 2 octets, without padding

      auHeadersLengthPadded = 2 + (auHeadersLengthInBits >>> 3) + (auHeadersLengthInBits & 0x7 ? 1 : 0); // Add padding
      //this.config = AACParser.parseAudioSpecificConfig(new Uint8Array(rawData, 0 , auHeadersLengthPadded));
      // TODO: parse config

      var frames = [];
      var frameOffset = 0;
      var bits = new BitArray(rawData.subarray(2 + offset));
      var cts = 0;
      var dts = 0;

      for (var _offset = 0; _offset < auHeadersLengthInBits;) {
        var size = bits.readBits(sizeLength);
        var idx = bits.readBits(_offset ? indexDeltaLength : indexLength);
        _offset += sizeLength + (_offset ? indexDeltaLength : indexLength)
        /*+2*/
        ;

        if (
        /*ctsPresent &&*/
        CTSDeltaLength) {
          var ctsPresent = bits.readBits(1);
          cts = bits.readBits(CTSDeltaLength);
          _offset += CTSDeltaLength;
        }

        if (
        /*dtsPresent && */
        DTSDeltaLength) {
          var dtsPresent = bits.readBits(1);
          dts = bits.readBits(DTSDeltaLength);
          _offset += CTSDeltaLength;
        }

        if (RandomAccessIndication) {
          bits.skipBits(1);
          _offset += 1;
        }

        if (StreamStateIndication) {
          bits.skipBits(StreamStateIndication);
          _offset += StreamStateIndication;
        }

        frames.push(new AACFrame(rawData.subarray(auHeadersLengthPadded + frameOffset, auHeadersLengthPadded + frameOffset + size), ts + dts, ts + cts));
        frameOffset += size;
      }

      return frames;
    } else {
      var aacData = rawData.subarray(auHeadersLengthPadded);

      while (true) {
        if (aacData[offset] != 255) break;
        ++offset;
      }

      ++offset;
      return [new AACFrame(rawData.subarray(auHeadersLengthPadded + offset), ts)];
    }
  };

  return AACAsm;
}();

var RTPPayloadParser =
/*#__PURE__*/
function () {
  function RTPPayloadParser() {
    this.h264parser = new RTPH264Parser();
    this.aacparser = new RTPAACParser();
  }

  var _proto = RTPPayloadParser.prototype;

  _proto.parse = function parse(rtp) {
    if (rtp.media.type == 'video') {
      return this.h264parser.parse(rtp);
    } else if (rtp.media.type == 'audio') {
      return this.aacparser.parse(rtp);
    }

    return null;
  };

  return RTPPayloadParser;
}();

var RTPH264Parser =
/*#__PURE__*/
function () {
  function RTPH264Parser() {
    this.naluasm = new NALUAsm();
  }

  var _proto2 = RTPH264Parser.prototype;

  _proto2.parse = function parse(rtp) {
    return this.naluasm.onNALUFragment(rtp.getPayload(), rtp.getTimestampMS());
  };

  return RTPH264Parser;
}();

var RTPAACParser =
/*#__PURE__*/
function () {
  function RTPAACParser() {
    this.scale = 1;
    this.asm = new AACAsm();
  }

  var _proto3 = RTPAACParser.prototype;

  _proto3.setConfig = function setConfig(conf) {
    this.asm.config = conf;
  };

  _proto3.parse = function parse(rtp) {
    return this.asm.onAACFragment(rtp);
  };

  return RTPAACParser;
}();

var BaseClient =
/*#__PURE__*/
function () {
  function BaseClient(options) {
    var _this = this;

    if (options === void 0) {
      options = {
        flush: 100
      };
    }

    this.options = options;
    this.eventSource = new EventEmitter();

    _Object$defineProperties(this, {
      sourceUrl: {
        value: null,
        writable: true
      },
      // TODO: getter with validator
      paused: {
        value: true,
        writable: true
      },
      seekable: {
        value: false,
        writable: true
      },
      connected: {
        value: false,
        writable: true
      }
    });

    this._onData = function () {
      if (_this.connected) {
        while (_this.transport.dataQueue.length) {
          _this.onData(_this.transport.dataQueue.pop());
        }
      }
    };

    this._onConnect = this.onConnected.bind(this);
    this._onDisconnect = this.onDisconnected.bind(this);
  }

  BaseClient.streamType = function streamType() {
    return null;
  };

  var _proto = BaseClient.prototype;

  _proto.destroy = function destroy() {
    this.detachTransport();
  };

  _proto.attachTransport = function attachTransport(transport) {
    if (this.transport) {
      this.detachTransport();
    }

    this.transport = transport;
    this.transport.eventSource.addEventListener('data', this._onData);
    this.transport.eventSource.addEventListener('connected', this._onConnect);
    this.transport.eventSource.addEventListener('disconnected', this._onDisconnect);
  };

  _proto.detachTransport = function detachTransport() {
    if (this.transport) {
      this.transport.eventSource.removeEventListener('data', this._onData);
      this.transport.eventSource.removeEventListener('connected', this._onConnect);
      this.transport.eventSource.removeEventListener('disconnected', this._onDisconnect);
      this.transport = null;
    }
  };

  _proto.reset = function reset() {};

  _proto.start = function start() {
    // Log.log('Client started');
    this.paused = false; // this.startStreamFlush();
  };

  _proto.stop = function stop() {
    // Log.log('Client paused');
    this.paused = true; // this.stopStreamFlush();
  };

  _proto.seek = function seek(timeOffset) {};

  _proto.setSource = function setSource(source) {
    this.stop();
    this.endpoint = source;
    this.sourceUrl = source.urlpath;
  };

  _proto.startStreamFlush = function startStreamFlush() {
    var _this2 = this;

    this.flushInterval = setInterval(function () {
      if (!_this2.paused) {
        _this2.eventSource.dispatchEvent('flush');
      }
    }, this.options.flush);
  };

  _proto.stopStreamFlush = function stopStreamFlush() {
    clearInterval(this.flushInterval);
  };

  _proto.onData = function onData(data) {};

  _proto.onConnected = function onConnected() {
    if (!this.seekable) {
      this.transport.dataQueue = [];
      this.eventSource.dispatchEvent('clear');
    }

    this.connected = true;
  };

  _proto.onDisconnected = function onDisconnected() {
    this.connected = false;
  };

  _proto.queryCredentials = function queryCredentials() {
    return _Promise.resolve();
  };

  _proto.setCredentials = function setCredentials(user, password) {
    this.endpoint.user = user;
    this.endpoint.pass = password;
    this.endpoint.auth = user + ":" + password;
  };

  return BaseClient;
}();

var AACParser =
/*#__PURE__*/
function () {
  function AACParser() {}

  // static Profile = [
  //     0: Null
  //     1: AAC Main
  //     2: AAC LC (Low Complexity)
  //     3: AAC SSR (Scalable Sample Rate)
  //     4: AAC LTP (Long Term Prediction)
  //     5: SBR (Spectral Band Replication)
  //     6: AAC Scalable
  // ]
  AACParser.parseAudioSpecificConfig = function parseAudioSpecificConfig(bytesOrBits) {
    var config;

    if (bytesOrBits.byteLength) {
      // is byteArray
      config = new BitArray(bytesOrBits);
    } else {
      config = bytesOrBits;
    }

    var bitpos = config.bitpos + (config.src.byteOffset + config.bytepos) * 8;
    var prof = config.readBits(5);
    this.codec = "mp4a.40." + prof;
    var sfi = config.readBits(4);
    if (sfi == 0xf) config.skipBits(24);
    var channels = config.readBits(4);
    return {
      config: bitSlice(new Uint8Array(config.src.buffer), bitpos, bitpos + 16),
      codec: "mp4a.40." + prof,
      samplerate: AACParser.SampleRates[sfi],
      channels: channels
    };
  };

  AACParser.parseStreamMuxConfig = function parseStreamMuxConfig(bytes) {
    // ISO_IEC_14496-3 Part 3 Audio. StreamMuxConfig
    var config = new BitArray(bytes);

    if (!config.readBits(1)) {
      config.skipBits(14);
      return AACParser.parseAudioSpecificConfig(config);
    }
  };

  _createClass(AACParser, null, [{
    key: "SampleRates",
    get: function get() {
      return [96000, 88200, 64000, 48000, 44100, 32000, 24000, 22050, 16000, 12000, 11025, 8000, 7350];
    }
  }]);

  return AACParser;
}();

var LOG_TAG$3 = 'rtsp:session';
var Log$8 = getTagged(LOG_TAG$3);
var RTSPSession =
/*#__PURE__*/
function () {
  function RTSPSession(client, sessionId) {
    this.state = null;
    this.client = client;
    this.sessionId = sessionId;
    this.url = this.getControlURL();
  }

  var _proto = RTSPSession.prototype;

  _proto.reset = function reset() {
    this.client = null;
  };

  _proto.start = function start() {
    return this.sendPlay();
  };

  _proto.stop = function stop() {
    return this.sendTeardown();
  };

  _proto.getControlURL = function getControlURL() {
    var ctrl = this.client.sdp.getSessionBlock().control;

    if (Url.isAbsolute(ctrl)) {
      return ctrl;
    } else if (!ctrl || '*' === ctrl) {
      return this.client.contentBase;
    } else {
      return "" + this.client.contentBase + ctrl;
    }
  };

  _proto.sendRequest = function sendRequest(_cmd, _params) {
    if (_params === void 0) {
      _params = {};
    }

    var params = {};

    if (this.sessionId) {
      params['Session'] = this.sessionId;
    }

    _Object$assign(params, _params);

    return this.client.sendRequest(_cmd, this.getControlURL(), params);
  };

  _proto.sendPlay =
  /*#__PURE__*/
  function () {
    var _sendPlay = _asyncToGenerator(
    /*#__PURE__*/
    _regeneratorRuntime.mark(function _callee(pos) {
      var params, range, data;
      return _regeneratorRuntime.wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              if (pos === void 0) {
                pos = 0;
              }

              this.state = RTSPClientSM.STATE_PLAY;
              params = {};
              range = this.client.sdp.sessionBlock.range;

              if (range) {
                // TODO: seekable
                if (range[0] == -1) {
                  range[0] = 0; // Do not handle now at the moment
                } // params['Range'] = `${range[2]}=${range[0]}-`;

              }

              _context.next = 7;
              return this.sendRequest('PLAY', params);

            case 7:
              data = _context.sent;
              this.state = RTSPClientSM.STATE_PLAYING;
              return _context.abrupt("return", {
                data: data
              });

            case 10:
            case "end":
              return _context.stop();
          }
        }
      }, _callee, this);
    }));

    return function sendPlay(_x) {
      return _sendPlay.apply(this, arguments);
    };
  }();

  _proto.sendPause =
  /*#__PURE__*/
  function () {
    var _sendPause = _asyncToGenerator(
    /*#__PURE__*/
    _regeneratorRuntime.mark(function _callee2() {
      return _regeneratorRuntime.wrap(function _callee2$(_context2) {
        while (1) {
          switch (_context2.prev = _context2.next) {
            case 0:
            case "end":
              return _context2.stop();
          }
        }
      }, _callee2, this);
    }));

    return function sendPause() {
      return _sendPause.apply(this, arguments);
    };
  }();

  _proto.sendTeardown =
  /*#__PURE__*/
  function () {
    var _sendTeardown = _asyncToGenerator(
    /*#__PURE__*/
    _regeneratorRuntime.mark(function _callee3() {
      return _regeneratorRuntime.wrap(function _callee3$(_context3) {
        while (1) {
          switch (_context3.prev = _context3.next) {
            case 0:
              if (!(this.state != RTSPClientSM.STATE_TEARDOWN)) {
                _context3.next = 5;
                break;
              }

              this.state = RTSPClientSM.STATE_TEARDOWN;
              _context3.next = 4;
              return this.sendRequest('TEARDOWN');

            case 4:
              Log$8.log('RTSPClient: STATE_TEARDOWN'); ///this.client.connection.disconnect();
              // TODO: Notify client

            case 5:
            case "end":
              return _context3.stop();
          }
        }
      }, _callee3, this);
    }));

    return function sendTeardown() {
      return _sendTeardown.apply(this, arguments);
    };
  }();

  return RTSPSession;
}();

var LOG_TAG$4 = 'client:rtsp';
var Log$9 = getTagged(LOG_TAG$4);

var RTSPClient =
/*#__PURE__*/
function (_BaseClient) {
  _inheritsLoose(RTSPClient, _BaseClient);

  function RTSPClient(options) {
    var _this;

    if (options === void 0) {
      options = {
        flush: 200
      };
    }

    _this = _BaseClient.call(this, options) || this;
    _this.clientSM = new RTSPClientSM(_assertThisInitialized(_assertThisInitialized(_this)));

    _this.clientSM.ontracks = function (tracks) {
      _this.eventSource.dispatchEvent('tracks', tracks);

      _this.startStreamFlush();
    };

    _this.sampleQueues = {};
    return _this;
  }

  RTSPClient.streamType = function streamType() {
    return 'rtsp';
  };

  var _proto = RTSPClient.prototype;

  _proto.setSource = function setSource(url) {
    _BaseClient.prototype.setSource.call(this, url);

    this.clientSM.setSource(url);
  };

  _proto.attachTransport = function attachTransport(transport) {
    _BaseClient.prototype.attachTransport.call(this, transport);

    this.clientSM.transport = transport;
  };

  _proto.detachTransport = function detachTransport() {
    _BaseClient.prototype.detachTransport.call(this);

    this.clientSM.transport = null;
  };

  _proto.reset = function reset() {
    _BaseClient.prototype.reset.call(this);

    this.sampleQueues = {};
  };

  _proto.destroy = function destroy() {
    this.clientSM.destroy();
    return _BaseClient.prototype.destroy.call(this);
  };

  _proto.start = function start() {
    var _this2 = this;

    _BaseClient.prototype.start.call(this);

    if (this.transport) {
      return this.transport.ready.then(function () {
        return _this2.clientSM.start();
      });
    } else {
      return _Promise.reject('no transport attached');
    }
  };

  _proto.stop = function stop() {
    _BaseClient.prototype.stop.call(this);

    return this.clientSM.stop();
  };

  _proto.onData = function onData(data) {
    this.clientSM.onData(data);
  };

  _proto.onConnected = function onConnected() {
    this.clientSM.onConnected();

    _BaseClient.prototype.onConnected.call(this);
  };

  _proto.onDisconnected = function onDisconnected() {
    _BaseClient.prototype.onDisconnected.call(this);

    this.clientSM.onDisconnected();
  };

  return RTSPClient;
}(BaseClient);

var AuthError =
/*#__PURE__*/
function (_Error) {
  _inheritsLoose(AuthError, _Error);

  function AuthError(msg) {
    return _Error.call(this, msg) || this;
  }

  return AuthError;
}(_wrapNativeSuper(Error));

var RTSPError =
/*#__PURE__*/
function (_Error2) {
  _inheritsLoose(RTSPError, _Error2);

  function RTSPError(data) {
    var _this3;

    _this3 = _Error2.call(this, data.msg) || this;
    _this3.data = data;
    return _this3;
  }

  return RTSPError;
}(_wrapNativeSuper(Error));
var RTSPClientSM =
/*#__PURE__*/
function (_StateMachine) {
  _inheritsLoose(RTSPClientSM, _StateMachine);

  _createClass(RTSPClientSM, null, [{
    key: "USER_AGENT",
    get: function get() {
      return 'SFRtsp 0.3';
    }
  }, {
    key: "STATE_INITIAL",
    get: function get() {
      return 1 << 0;
    }
  }, {
    key: "STATE_OPTIONS",
    get: function get() {
      return 1 << 1;
    }
  }, {
    key: "STATE_DESCRIBE",
    get: function get() {
      return 1 << 2;
    }
  }, {
    key: "STATE_SETUP",
    get: function get() {
      return 1 << 3;
    }
  }, {
    key: "STATE_STREAMS",
    get: function get() {
      return 1 << 4;
    }
  }, {
    key: "STATE_TEARDOWN",
    get: function get() {
      return 1 << 5;
    }
  }, {
    key: "STATE_PLAY",
    get: function get() {
      return 1 << 6;
    }
  }, {
    key: "STATE_PLAYING",
    get: function get() {
      return 1 << 7;
    }
  }, {
    key: "STATE_PAUSE",
    get: function get() {
      return 1 << 8;
    }
  }, {
    key: "STATE_PAUSED",
    get: function get() {
      return 1 << 9;
    } // static STATE_PAUSED = 1 << 6;

  }]);

  function RTSPClientSM(parent) {
    var _this4;

    _this4 = _StateMachine.call(this) || this;
    _this4.parent = parent;
    _this4.transport = null;
    _this4.payParser = new RTPPayloadParser();
    _this4.rtp_channels = new _Set();
    _this4.sessions = {};
    _this4.ontracks = null;

    _this4.addState(RTSPClientSM.STATE_INITIAL, {}).addState(RTSPClientSM.STATE_OPTIONS, {
      activate: _this4.sendOptions,
      finishTransition: _this4.onOptions
    }).addState(RTSPClientSM.STATE_DESCRIBE, {
      activate: _this4.sendDescribe,
      finishTransition: _this4.onDescribe
    }).addState(RTSPClientSM.STATE_SETUP, {
      activate: _this4.sendSetup,
      finishTransition: _this4.onSetup
    }).addState(RTSPClientSM.STATE_STREAMS, {}).addState(RTSPClientSM.STATE_TEARDOWN, {
      activate: function activate() {
        _this4.started = false;
      },
      finishTransition: function finishTransition() {
        return _this4.transitionTo(RTSPClientSM.STATE_INITIAL);
      }
    }).addTransition(RTSPClientSM.STATE_INITIAL, RTSPClientSM.STATE_OPTIONS).addTransition(RTSPClientSM.STATE_INITIAL, RTSPClientSM.STATE_TEARDOWN).addTransition(RTSPClientSM.STATE_OPTIONS, RTSPClientSM.STATE_DESCRIBE).addTransition(RTSPClientSM.STATE_DESCRIBE, RTSPClientSM.STATE_SETUP).addTransition(RTSPClientSM.STATE_SETUP, RTSPClientSM.STATE_STREAMS).addTransition(RTSPClientSM.STATE_TEARDOWN, RTSPClientSM.STATE_INITIAL) // .addTransition(RTSPClientSM.STATE_STREAMS, RTSPClientSM.STATE_PAUSED)
    // .addTransition(RTSPClientSM.STATE_PAUSED, RTSPClientSM.STATE_STREAMS)
    .addTransition(RTSPClientSM.STATE_STREAMS, RTSPClientSM.STATE_TEARDOWN) // .addTransition(RTSPClientSM.STATE_PAUSED, RTSPClientSM.STATE_TEARDOWN)
    .addTransition(RTSPClientSM.STATE_SETUP, RTSPClientSM.STATE_TEARDOWN).addTransition(RTSPClientSM.STATE_DESCRIBE, RTSPClientSM.STATE_TEARDOWN).addTransition(RTSPClientSM.STATE_OPTIONS, RTSPClientSM.STATE_TEARDOWN);

    _this4.reset();

    _this4.shouldReconnect = false; // TODO: remove listeners
    // this.connection.eventSource.addEventListener('connected', ()=>{
    //     if (this.shouldReconnect) {
    //         this.reconnect();
    //     }
    // });
    // this.connection.eventSource.addEventListener('disconnected', ()=>{
    //     if (this.started) {
    //         this.shouldReconnect = true;
    //     }
    // });
    // this.connection.eventSource.addEventListener('data', (data)=>{
    //     let channel = new DataView(data).getUint8(1);
    //     if (this.rtp_channels.has(channel)) {
    //         this.onRTP({packet: new Uint8Array(data, 4), type: channel});
    //     }
    //
    // });

    return _this4;
  }

  var _proto2 = RTSPClientSM.prototype;

  _proto2.destroy = function destroy() {
    this.parent = null;
  };

  _proto2.setSource = function setSource(url) {
    this.reset();
    this.endpoint = url;
    this.url = url.protocol + "://" + url.location + url.urlpath;
  };

  _proto2.onConnected = function onConnected() {
    if (this.rtpFactory) {
      this.rtpFactory = null;
    }

    if (this.shouldReconnect) {
      this.start();
    }
  };

  _proto2.onDisconnected =
  /*#__PURE__*/
  function () {
    var _onDisconnected = _asyncToGenerator(
    /*#__PURE__*/
    _regeneratorRuntime.mark(function _callee() {
      return _regeneratorRuntime.wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              this.reset();
              this.shouldReconnect = true;
              _context.next = 4;
              return this.transitionTo(RTSPClientSM.STATE_TEARDOWN);

            case 4:
              _context.next = 6;
              return this.transitionTo(RTSPClientSM.STATE_INITIAL);

            case 6:
            case "end":
              return _context.stop();
          }
        }
      }, _callee, this);
    }));

    return function onDisconnected() {
      return _onDisconnected.apply(this, arguments);
    };
  }();

  _proto2.start = function start() {
    if (this.currentState.name !== RTSPClientSM.STATE_STREAMS) {
      return this.transitionTo(RTSPClientSM.STATE_OPTIONS);
    } else {
      // TODO: seekable
      var promises = [];

      for (var session in this.sessions) {
        promises.push(this.sessions[session].sendPlay());
      }

      return _Promise.all(promises);
    }
  };

  _proto2.onData = function onData(data) {
    var channel = data[1];

    if (this.rtp_channels.has(channel)) {
      this.onRTP({
        packet: data.subarray(4),
        type: channel
      });
    }
  };

  _proto2.useRTPChannel = function useRTPChannel(channel) {
    this.rtp_channels.add(channel);
  };

  _proto2.forgetRTPChannel = function forgetRTPChannel(channel) {
    this.rtp_channels.delete(channel);
  };

  _proto2.stop = function stop() {
    this.shouldReconnect = false;
    var promises = [];

    for (var session in this.sessions) {
      promises.push(this.sessions[session].sendPause());
    }

    return _Promise.all(promises); // this.mse = null;
  };

  _proto2.reset =
  /*#__PURE__*/
  function () {
    var _reset = _asyncToGenerator(
    /*#__PURE__*/
    _regeneratorRuntime.mark(function _callee2() {
      var stream, session;
      return _regeneratorRuntime.wrap(function _callee2$(_context2) {
        while (1) {
          switch (_context2.prev = _context2.next) {
            case 0:
              this.authenticator = '';
              this.methods = [];
              this.tracks = [];
              this.rtpBuffer = {};

              for (stream in this.streams) {
                this.streams[stream].reset();
              }

              for (session in this.sessions) {
                this.sessions[session].reset();
              }

              this.streams = {};
              this.sessions = {};
              this.contentBase = '';

              if (!this.currentState) {
                _context2.next = 17;
                break;
              }

              if (!(this.currentState.name != RTSPClientSM.STATE_INITIAL)) {
                _context2.next = 15;
                break;
              }

              _context2.next = 13;
              return this.transitionTo(RTSPClientSM.STATE_TEARDOWN);

            case 13:
              _context2.next = 15;
              return this.transitionTo(RTSPClientSM.STATE_INITIAL);

            case 15:
              _context2.next = 19;
              break;

            case 17:
              _context2.next = 19;
              return this.transitionTo(RTSPClientSM.STATE_INITIAL);

            case 19:
              this.sdp = null;
              this.interleaveChannelIndex = 0;
              this.session = null;
              this.timeOffset = {};
              this.lastTimestamp = {};

            case 24:
            case "end":
              return _context2.stop();
          }
        }
      }, _callee2, this);
    }));

    return function reset() {
      return _reset.apply(this, arguments);
    };
  }();

  _proto2.reconnect =
  /*#__PURE__*/
  function () {
    var _reconnect = _asyncToGenerator(
    /*#__PURE__*/
    _regeneratorRuntime.mark(function _callee3() {
      return _regeneratorRuntime.wrap(function _callee3$(_context3) {
        while (1) {
          switch (_context3.prev = _context3.next) {
            case 0:
              _context3.next = 2;
              return this.reset();

            case 2:
              if (!(this.currentState.name != RTSPClientSM.STATE_INITIAL)) {
                _context3.next = 8;
                break;
              }

              _context3.next = 5;
              return this.transitionTo(RTSPClientSM.STATE_TEARDOWN);

            case 5:
              return _context3.abrupt("return", this.transitionTo(RTSPClientSM.STATE_OPTIONS));

            case 8:
              return _context3.abrupt("return", this.transitionTo(RTSPClientSM.STATE_OPTIONS));

            case 9:
            case "end":
              return _context3.stop();
          }
        }
      }, _callee3, this);
    }));

    return function reconnect() {
      return _reconnect.apply(this, arguments);
    };
  }();

  _proto2.supports = function supports(method) {
    return this.methods.includes(method);
  };

  _proto2.parse = function parse(_data) {
    Log$9.debug(_data.payload);

    var d = _data.payload.split('\r\n\r\n');

    var parsed = MessageBuilder.parse(d[0]);
    var len = Number(parsed.headers['content-length']);

    if (len) {
      var _d = _data.payload.split('\r\n\r\n');

      parsed.body = _d[1];
    } else {
      parsed.body = '';
    }

    return parsed;
  };

  _proto2.sendRequest = function sendRequest(_cmd, _host, _params, _payload) {
    var _this5 = this;

    if (_params === void 0) {
      _params = {};
    }

    if (_payload === void 0) {
      _payload = null;
    }

    this.cSeq++;

    _Object$assign(_params, {
      CSeq: this.cSeq,
      'User-Agent': RTSPClientSM.USER_AGENT
    });

    if (this.authenticator) {
      _params['Authorization'] = this.authenticator(_cmd);
    }

    return this.send(MessageBuilder.build(_cmd, _host, _params, _payload), _cmd).catch(function (e) {
      if (e instanceof AuthError && !_params['Authorization']) {
        return _this5.sendRequest(_cmd, _host, _params, _payload);
      } else {
        throw e;
      }
    });
  };

  _proto2.send =
  /*#__PURE__*/
  function () {
    var _send = _asyncToGenerator(
    /*#__PURE__*/
    _regeneratorRuntime.mark(function _callee4(_data, _method) {
      var _this6 = this;

      var response, parsed, auth, method, chunks, ep, parsedChunks, _iterator, _isArray, _i, _ref, chunk, c, _c$split, k, v;

      return _regeneratorRuntime.wrap(function _callee4$(_context4) {
        while (1) {
          switch (_context4.prev = _context4.next) {
            case 0:
              if (!this.transport) {
                _context4.next = 61;
                break;
              }

              _context4.prev = 1;
              _context4.next = 4;
              return this.transport.ready;

            case 4:
              _context4.next = 10;
              break;

            case 6:
              _context4.prev = 6;
              _context4.t0 = _context4["catch"](1);
              this.onDisconnected();
              throw _context4.t0;

            case 10:
              Log$9.debug(_data);
              _context4.next = 13;
              return this.transport.send(_data);

            case 13:
              response = _context4.sent;
              parsed = this.parse(response); // TODO: parse status codes

              if (!(parsed.code == 401
              /*&& !this.authenticator */
              )) {
                _context4.next = 55;
                break;
              }

              Log$9.debug(parsed.headers['www-authenticate']);
              auth = parsed.headers['www-authenticate'];
              method = auth.substring(0, auth.indexOf(' '));
              auth = auth.substr(method.length + 1);
              chunks = auth.split(',');
              ep = this.parent.endpoint;

              if (!(!ep.user || !ep.pass)) {
                _context4.next = 31;
                break;
              }

              _context4.prev = 23;
              _context4.next = 26;
              return this.parent.queryCredentials.call(this.parent);

            case 26:
              _context4.next = 31;
              break;

            case 28:
              _context4.prev = 28;
              _context4.t1 = _context4["catch"](23);
              throw new AuthError();

            case 31:
              if (!(method.toLowerCase() == 'digest')) {
                _context4.next = 53;
                break;
              }

              parsedChunks = {};
              _iterator = chunks, _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : _getIterator(_iterator);

            case 34:
              if (!_isArray) {
                _context4.next = 40;
                break;
              }

              if (!(_i >= _iterator.length)) {
                _context4.next = 37;
                break;
              }

              return _context4.abrupt("break", 50);

            case 37:
              _ref = _iterator[_i++];
              _context4.next = 44;
              break;

            case 40:
              _i = _iterator.next();

              if (!_i.done) {
                _context4.next = 43;
                break;
              }

              return _context4.abrupt("break", 50);

            case 43:
              _ref = _i.value;

            case 44:
              chunk = _ref;
              c = chunk.trim();
              _c$split = c.split('='), k = _c$split[0], v = _c$split[1];
              parsedChunks[k] = v.substr(1, v.length - 2);

            case 48:
              _context4.next = 34;
              break;

            case 50:
              this.authenticator = function (_method) {
                var ep = _this6.parent.endpoint;
                var ha1 = md5(ep.user + ":" + parsedChunks.realm + ":" + ep.pass);
                var ha2 = md5(_method + ":" + _this6.url);
                var response = md5(ha1 + ":" + parsedChunks.nonce + ":" + ha2);
                var tail = ''; // TODO: handle other params

                return "Digest username=\"" + ep.user + "\", realm=\"" + parsedChunks.realm + "\", nonce=\"" + parsedChunks.nonce + "\", uri=\"" + _this6.url + "\", response=\"" + response + "\"" + tail;
              };

              _context4.next = 54;
              break;

            case 53:
              this.authenticator = function () {
                return "Basic " + btoa(_this6.parent.endpoint.auth);
              };

            case 54:
              throw new AuthError(parsed);

            case 55:
              if (!(parsed.code >= 300)) {
                _context4.next = 58;
                break;
              }

              Log$9.error(parsed.statusLine);
              throw new RTSPError({
                msg: "RTSP error: " + parsed.code + " " + parsed.statusLine,
                parsed: parsed
              });

            case 58:
              return _context4.abrupt("return", parsed);

            case 61:
              return _context4.abrupt("return", _Promise.reject('No transport attached'));

            case 62:
            case "end":
              return _context4.stop();
          }
        }
      }, _callee4, this, [[1, 6], [23, 28]]);
    }));

    return function send(_x, _x2) {
      return _send.apply(this, arguments);
    };
  }();

  _proto2.sendOptions = function sendOptions() {
    this.reset();
    this.started = true;
    this.cSeq = 0;
    return this.sendRequest('OPTIONS', this.url, {});
  };

  _proto2.onOptions = function onOptions(data) {
    this.methods = data.headers['public'].split(',').map(function (e) {
      return e.trim();
    });
    this.transitionTo(RTSPClientSM.STATE_DESCRIBE);
  };

  _proto2.sendDescribe = function sendDescribe() {
    var _this7 = this;

    return this.sendRequest('DESCRIBE', this.url, {
      Accept: 'application/sdp'
    }).then(function (data) {
      _this7.sdp = new SDPParser();
      return _this7.sdp.parse(data.body).catch(function () {
        throw new Error('Failed to parse SDP');
      }).then(function () {
        return data;
      });
    });
  };

  _proto2.onDescribe = function onDescribe(data) {
    this.contentBase = data.headers['content-base'] || this.url; // `${this.endpoint.protocol}://${this.endpoint.location}${this.endpoint.urlpath}/`;

    this.tracks = this.sdp.getMediaBlockList();
    this.rtpFactory = new RTPFactory(this.sdp);
    Log$9.log('SDP contained ' + this.tracks.length + ' track(s). Calling SETUP for each.');

    if (data.headers['session']) {
      this.session = data.headers['session'];
    }

    if (!this.tracks.length) {
      throw new Error('No tracks in SDP');
    }

    this.transitionTo(RTSPClientSM.STATE_SETUP);
  };

  _proto2.sendSetup = function sendSetup() {
    var _this8 = this;

    var streams = [];
    var lastPromise = null; // TODO: select first video and first audio tracks

    for (var _iterator2 = this.tracks, _isArray2 = Array.isArray(_iterator2), _i2 = 0, _iterator2 = _isArray2 ? _iterator2 : _getIterator(_iterator2);;) {
      var _ref2;

      if (_isArray2) {
        if (_i2 >= _iterator2.length) break;
        _ref2 = _iterator2[_i2++];
      } else {
        _i2 = _iterator2.next();
        if (_i2.done) break;
        _ref2 = _i2.value;
      }

      var track_type = _ref2;
      Log$9.log('setup track: ' + track_type); // if (track_type=='audio') continue;
      // if (track_type=='video') continue;

      var track = this.sdp.getMediaBlock(track_type);
      if (!PayloadType.string_map[track.rtpmap[track.fmt[0]].name]) continue;
      this.streams[track_type] = new RTSPStream(this, track);
      var setupPromise = this.streams[track_type].start(lastPromise);
      lastPromise = setupPromise;
      this.parent.sampleQueues[PayloadType.string_map[track.rtpmap[track.fmt[0]].name]] = [];
      this.rtpBuffer[track.fmt[0]] = [];
      streams.push(setupPromise.then(function (_ref3) {
        var track = _ref3.track,
            data = _ref3.data;
        _this8.timeOffset[track.fmt[0]] = 0;

        try {
          var rtp_info = data.headers['rtp-info'].split(';');

          for (var _iterator3 = rtp_info, _isArray3 = Array.isArray(_iterator3), _i3 = 0, _iterator3 = _isArray3 ? _iterator3 : _getIterator(_iterator3);;) {
            var _ref4;

            if (_isArray3) {
              if (_i3 >= _iterator3.length) break;
              _ref4 = _iterator3[_i3++];
            } else {
              _i3 = _iterator3.next();
              if (_i3.done) break;
              _ref4 = _i3.value;
            }

            var chunk = _ref4;

            var _chunk$split = chunk.split('='),
                key = _chunk$split[0],
                val = _chunk$split[1];

            if (key === 'rtptime') {
              _this8.timeOffset[track.fmt[0]] = 0; //Number(val);
            }
          }
        } catch (err) {}

        var params = {
          timescale: 0,
          scaleFactor: 0
        };

        if (track.fmtp['sprop-parameter-sets']) {
          var sps_pps = track.fmtp['sprop-parameter-sets'].split(',');
          params = {
            sps: base64ToArrayBuffer(sps_pps[0]),
            pps: base64ToArrayBuffer(sps_pps[1])
          };
        } else if (track.fmtp['config']) {
          var config = track.fmtp['config'];
          _this8.has_config = track.fmtp['cpresent'] != '0';
          var generic = track.rtpmap[track.fmt[0]].name == 'MPEG4-GENERIC';

          if (generic) {
            params = {
              config: AACParser.parseAudioSpecificConfig(hexToByteArray(config))
            };

            _this8.payParser.aacparser.setConfig(params.config);
          } else if (config) {
            // todo: parse audio specific config for mpeg4-generic
            params = {
              config: AACParser.parseStreamMuxConfig(hexToByteArray(config))
            };

            _this8.payParser.aacparser.setConfig(params.config);
          }
        }

        params.duration = _this8.sdp.sessionBlock.range ? _this8.sdp.sessionBlock.range[1] - _this8.sdp.sessionBlock.range[0] : 1;
        _this8.parent.seekable = params.duration > 1;
        var res = {
          track: track,
          offset: _this8.timeOffset[track.fmt[0]],
          type: PayloadType.string_map[track.rtpmap[track.fmt[0]].name],
          params: params,
          duration: params.duration
        };
        var session = data.headers.session.split(';')[0];

        if (!_this8.sessions[session]) {
          _this8.sessions[session] = new RTSPSession(_this8, session);
        }

        return res;
      }));
    }

    return _Promise.all(streams).then(function (tracks) {
      var sessionPromises = [];

      for (var session in _this8.sessions) {
        sessionPromises.push(_this8.sessions[session].start());
      }

      return _Promise.all(sessionPromises).then(function () {
        if (_this8.ontracks) {
          _this8.ontracks(tracks);
        }
      });
    }).catch(function (e) {
      console.error(e);

      _this8.stop();

      _this8.reset();
    });
  };

  _proto2.onSetup = function onSetup() {
    this.transitionTo(RTSPClientSM.STATE_STREAMS);
  };

  _proto2.onRTP = function onRTP(_data) {
    if (!this.rtpFactory) return;
    var rtp = this.rtpFactory.build(_data.packet, this.sdp);

    if (!rtp.type) {
      return;
    }

    if (this.timeOffset[rtp.pt] === undefined) {
      //console.log(rtp.pt, this.timeOffset[rtp.pt]);
      this.rtpBuffer[rtp.pt].push(rtp);
      return;
    }

    if (this.lastTimestamp[rtp.pt] === undefined) {
      this.lastTimestamp[rtp.pt] = rtp.timestamp - this.timeOffset[rtp.pt];
    }

    var queue = this.rtpBuffer[rtp.pt];
    queue.push(rtp);

    while (queue.length) {
      var _rtp = queue.shift();

      _rtp.timestamp = _rtp.timestamp - this.timeOffset[_rtp.pt] - this.lastTimestamp[_rtp.pt]; // TODO: overflow
      // if (rtp.timestamp < 0) {
      //     rtp.timestamp = (rtp.timestamp + Number.MAX_SAFE_INTEGER) % 0x7fffffff;
      // }

      if (_rtp.media) {
        var pay = this.payParser.parse(_rtp);

        if (pay) {
          // if (typeof pay == typeof []) {
          this.parent.sampleQueues[_rtp.type].push(pay); // } else {
          //     this.parent.sampleQueues[rtp.type].push([pay]);
          // }

        }
      }
    } // this.remuxer.feedRTP();

  };

  return RTSPClientSM;
}(StateMachine);

var BaseTransport =
/*#__PURE__*/
function () {
  function BaseTransport(endpoint, stream_type, config) {
    if (config === void 0) {
      config = {};
    }

    this.stream_type = stream_type;
    this.endpoint = endpoint;
    this.eventSource = new EventEmitter();
    this.dataQueue = [];
  }

  BaseTransport.canTransfer = function canTransfer(stream_type) {
    return BaseTransport.streamTypes().includes(stream_type);
  };

  BaseTransport.streamTypes = function streamTypes() {
    return [];
  };

  var _proto2 = BaseTransport.prototype;

  _proto2.destroy = function destroy() {
    this.eventSource.destroy();
  };

  _proto2.connect = function connect() {// TO be impemented
  };

  _proto2.disconnect = function disconnect() {// TO be impemented
  };

  _proto2.reconnect = function reconnect() {
    var _this = this;

    return this.disconnect().then(function () {
      return _this.connect();
    });
  };

  _proto2.setEndpoint = function setEndpoint(endpoint) {
    this.endpoint = endpoint;
    return this.reconnect();
  };

  _proto2.send = function send(data) {// TO be impemented
    // return this.prepare(data).send();
  };

  _proto2.prepare = function prepare(data) {} // TO be impemented
  // return new Request(data);
  // onData(type, data) {
  //     this.eventSource.dispatchEvent(type, data);
  // }
  ;

  return BaseTransport;
}();

var isSafari = /^((?!chrome|android).)*safari/i.test(navigator.userAgent);
 //navigator.hardwareConcurrency || 3;

var ErrorTypes = {
  NET_ERROR: 100,
  CODEC_ERROR: 101,
  CANNOT_SEEK: 102,
  ENDOFSTREAM_ERROR: 103,
  MEDIASOURCE_ERROR: 104,
  SOURCEBUFFER_ERROR: 105,
  SBABORT_ERROR: 106,
  APPENDBUFFER_ERROR: 107
};
var Events = {
  ERROR: 'error',
  LOADING_COMPLETE: 'loading_complete',
  RECOVERED_EARLY_EOF: 'recovered_early_eof',
  FETCH_FLV: 'fetch_flv',
  MEDIA_INFO: 'media_info',
  SEI_USER_ID: 'sei_user_id',
  STATISTICS_INFO: 'statistics_info',
  FETCH_BUFFER: 'fetch_buffer'
};

var LOG_TAG$5 = 'transport:ws';
var Log$a = getTagged(LOG_TAG$5);

var WebsocketTransport =
/*#__PURE__*/
function (_BaseTransport) {
  _inheritsLoose(WebsocketTransport, _BaseTransport);

  function WebsocketTransport(endpoint, stream_type, options) {
    var _this;

    if (options === void 0) {
      options = {
        socket: location.protocol.replace('http', 'ws') + "//" + location.host + "/ws/",
        workers: 1
      };
    }

    _this = _BaseTransport.call(this, endpoint, stream_type) || this;
    _this.proxies = [];
    _this.currentProxy = 0;
    _this.workers = 1;
    _this.socket_url = options.socket;
    _this.ready = _this.connect();
    return _this;
  }

  var _proto = WebsocketTransport.prototype;

  _proto.destroy = function destroy() {
    var _this2 = this;

    return this.disconnect().then(function () {
      return _BaseTransport.prototype.destroy.call(_this2);
    });
  };

  WebsocketTransport.canTransfer = function canTransfer(stream_type) {
    return WebsocketTransport.streamTypes().includes(stream_type);
  };

  WebsocketTransport.streamTypes = function streamTypes() {
    return ['hls', 'rtsp'];
  };

  _proto.connect = function connect() {
    var _this3 = this;

    return this.disconnect().then(function () {
      var promises = []; // TODO: get mirror list

      for (var i = 0; i < _this3.workers; ++i) {
        var proxy = new WebSocketProxy(_this3.socket_url, _this3.endpoint, _this3.stream_type);
        proxy.set_disconnect_handler(function (e) {
          _this3.eventSource.dispatchEvent('disconnected', {
            code: e.code,
            reason: e.reason
          }); // TODO: only reconnect on demand


          if ([1000, 1006, 1013, 1011].includes(e.code)) {
            setTimeout(function () {
              if (_this3.ready && _this3.ready.reject) {
                _this3.ready.reject();
              }

              _this3.ready = _this3.connect();
            }, 3000);
          }
        });
        proxy.set_data_handler(function (data) {
          _this3.dataQueue.push(new Uint8Array(data));

          _this3.eventSource.dispatchEvent('data');
        });
        promises.push(proxy.connect().then(function () {
          _this3.eventSource.dispatchEvent('connected');
        }).catch(function (e) {
          _this3.eventSource.dispatchEvent('error', e);

          throw new Error(e);
        }));

        _this3.proxies.push(proxy);
      }

      return _Promise.all(promises);
    });
  };

  _proto.disconnect = function disconnect() {
    var promises = [];

    for (var i = 0; i < this.proxies.length; ++i) {
      promises.push(this.proxies[i].close());
    }

    this.proxies = [];

    if (this.proxies.length) {
      return _Promise.all(promises);
    } else {
      return _Promise.resolve();
    }
  };

  _proto.socket = function socket() {
    return this.proxies[this.currentProxy++ % this.proxies.length];
  };

  _proto.send = function send(_data, fn) {
    var res = this.socket().send(_data);

    if (fn) {
      fn(res.seq);
    }

    return res.promise;
  };

  return WebsocketTransport;
}(BaseTransport);

var WSPProtocol =
/*#__PURE__*/
function () {
  _createClass(WSPProtocol, null, [{
    key: "PROTO",
    get: function get() {
      return 'WSP';
    }
  }, {
    key: "V1_1",
    get: function get() {
      return '1.1';
    }
  }, {
    key: "CMD_INIT",
    get: function get() {
      return 'INIT';
    }
  }, {
    key: "CMD_JOIN",
    get: function get() {
      return 'JOIN';
    }
  }, {
    key: "CMD_WRAP",
    get: function get() {
      return 'WRAP';
    }
  }]);

  function WSPProtocol(ver) {
    this.ver = ver;
  }

  var _proto2 = WSPProtocol.prototype;

  _proto2.build = function build(cmd, data, payload) {
    if (payload === void 0) {
      payload = '';
    }

    var data_str = '';

    if (!data.seq) {
      data.seq = ++WSPProtocol.seq;
    }

    for (var k in data) {
      data_str += k + ": " + data[k] + "\r\n";
    }

    return WSPProtocol.PROTO + "/" + this.ver + " " + cmd + "\r\n" + data_str + "\r\n" + payload;
  };

  WSPProtocol.parse = function parse(data) {
    var payIdx = data.indexOf('\r\n\r\n');
    var lines = data.substr(0, payIdx).split('\r\n');
    var hdr = lines.shift().match(new RegExp(WSPProtocol.PROTO + "/" + WSPProtocol.V1_1 + "\\s+(\\d+)\\s+(.+)"));

    if (hdr) {
      var res = {
        code: Number(hdr[1]),
        msg: hdr[2],
        data: {},
        payload: ''
      };

      while (lines.length) {
        var line = lines.shift();

        if (line) {
          var _line$split = line.split(':'),
              k = _line$split[0],
              v = _line$split[1];

          res.data[k.trim()] = v.trim();
        } else {
          break;
        }
      }

      res.payload = data.substr(payIdx + 4);
      return res;
    }

    return null;
  };

  return WSPProtocol;
}();

WSPProtocol.seq = 0;

var WebSocketProxy =
/*#__PURE__*/
function () {
  _createClass(WebSocketProxy, null, [{
    key: "CHN_CONTROL",
    get: function get() {
      return 'control';
    }
  }, {
    key: "CHN_DATA",
    get: function get() {
      return 'data';
    }
  }]);

  function WebSocketProxy(wsurl, endpoint, stream_type) {
    this.url = wsurl;
    this.stream_type = stream_type;
    this.endpoint = endpoint;

    this.data_handler = function () {};

    this.disconnect_handler = function () {};

    this.builder = new WSPProtocol(WSPProtocol.V1_1);
    this.awaitingPromises = {};
    this.seq = 0;
    this.encryptor = new JSEncrypt();
  }

  var _proto3 = WebSocketProxy.prototype;

  _proto3.set_data_handler = function set_data_handler(handler) {
    this.data_handler = handler;
  };

  _proto3.set_disconnect_handler = function set_disconnect_handler(handler) {
    this.disconnect_handler = handler;
  };

  _proto3.close = function close() {
    var _this4 = this;

    Log$a.log('closing connection');
    return new _Promise(function (resolve) {
      _this4.ctrlChannel.onclose = function () {
        if (_this4.dataChannel) {
          _this4.dataChannel.onclose = function () {
            Log$a.log('closed');
            resolve();
          };

          _this4.dataChannel.close();
        } else {
          Log$a.log('closed');
          resolve();
        }
      };

      _this4.ctrlChannel.close();
    });
  };

  _proto3.onDisconnect = function onDisconnect() {
    this.ctrlChannel.onclose = null;
    this.ctrlChannel.close();

    if (this.dataChannel) {
      this.dataChannel.onclose = null;
      this.dataChannel.close();
    }

    this.disconnect_handler(this);
  };

  _proto3.initDataChannel = function initDataChannel(channel_id) {
    var _this5 = this;

    return new _Promise(function (resolve, reject) {
      _this5.dataChannel = new WebSocket(_this5.url, WebSocketProxy.CHN_DATA);
      _this5.dataChannel.binaryType = 'arraybuffer';

      _this5.dataChannel.onopen = function () {
        var msg = _this5.builder.build(WSPProtocol.CMD_JOIN, {
          channel: channel_id
        });

        Log$a.debug(msg);

        _this5.dataChannel.send(msg);
      };

      _this5.dataChannel.onmessage = function (ev) {
        Log$a.debug("[data]\r\n" + ev.data);
        var res = WSPProtocol.parse(ev.data);

        if (!res) {
          return reject();
        }

        _this5.dataChannel.onmessage = function (e) {
          // Log.debug('got data');
          if (_this5.data_handler) {
            _this5.data_handler(e.data);
          }
        };

        resolve();
      };

      _this5.dataChannel.onerror = function (e) {
        Log$a.error("[data] " + e.type);

        _this5.dataChannel.close();
      };

      _this5.dataChannel.onclose = function (e) {
        Log$a.error("[data] " + e.type + ". code: " + e.code + ", reason: " + (e.reason || 'unknown reason'));

        _this5.onDisconnect(e);
      };
    });
  };

  _proto3.connect = function connect() {
    var _this6 = this;

    this.encryptionKey = null;
    return new _Promise(function (resolve, reject) {
      _this6.ctrlChannel = new WebSocket(_this6.url, WebSocketProxy.CHN_CONTROL);
      _this6.connected = false;

      _this6.ctrlChannel.onopen = function () {
        var headers = {
          proto: _this6.stream_type
        };

        if (_this6.endpoint.socket) {
          headers.socket = _this6.endpoint.socket;
        } else {
          _Object$assign(headers, {
            host: _this6.endpoint.host,
            port: _this6.endpoint.port
          });
        }

        var msg = _this6.builder.build(WSPProtocol.CMD_INIT, headers);

        Log$a.debug(msg);

        _this6.ctrlChannel.send(msg);
      };

      _this6.ctrlChannel.onmessage = function (ev) {
        Log$a.debug("[ctrl]\r\n" + ev.data);
        var res = WSPProtocol.parse(ev.data);

        if (!res) {
          return reject();
        }

        if (res.code >= 300) {
          Log$a.error("[ctrl]\r\n" + res.code + ": " + res.msg);
          return reject();
        }

        _this6.ctrlChannel.onmessage = function (e) {
          var res = WSPProtocol.parse(e.data);
          Log$a.debug("[ctrl]\r\n" + e.data);

          if (res.data.seq in _this6.awaitingPromises) {
            if (res.code < 300) {
              _this6.awaitingPromises[res.data.seq].resolve(res);
            } else {
              _this6.awaitingPromises[res.data.seq].reject(res);
            }

            delete _this6.awaitingPromises[res.data.seq];
          }
        };

        _this6.encryptionKey = res.data.pubkey || null;

        if (_this6.encryptionKey) {
          _this6.encryptor.setPublicKey(_this6.encryptionKey); // TODO: check errors

        }

        _this6.initDataChannel(res.data.channel).then(resolve).catch(reject);
      };

      _this6.ctrlChannel.onerror = function (e) {
        Log$a.error("[ctrl] " + e.type);

        _this6.ctrlChannel.close();
      };

      _this6.ctrlChannel.onclose = function (e) {
        Log$a.error("[ctrl] " + e.type + ". code: " + e.code + " " + (e.reason || 'unknown reason'));

        _this6.onDisconnect(e);
      };
    });
  };

  _proto3.encrypt = function encrypt(msg) {
    if (this.encryptionKey) {
      var crypted = this.encryptor.encrypt(msg);

      if (crypted === false) {
        throw new Error('Encryption failed. Stopping');
      }

      return crypted;
    }

    return msg;
  };

  _proto3.send = function send(payload) {
    var _this7 = this;

    if (this.ctrlChannel.readyState != WebSocket.OPEN) {
      this.close(); // .then(this.connect.bind(this));
      // return;

      throw new Error('disconnected');
    } // Log.debug(payload);


    var data = {
      contentLength: payload.length,
      seq: ++WSPProtocol.seq
    };
    return {
      seq: data.seq,
      promise: new _Promise(function (resolve, reject) {
        _this7.awaitingPromises[data.seq] = {
          resolve: resolve,
          reject: reject
        };

        var msg = _this7.builder.build(WSPProtocol.CMD_WRAP, data, payload);

        Log$a.debug(msg);

        _this7.ctrlChannel.send(_this7.encrypt(msg));
      })
    };
  };

  return WebSocketProxy;
}();

function debounce(func, wait, immediate) {
  if (wait === void 0) {
    wait = 200;
  }

  var timeout;
  var args;
  var context;
  var timestamp;
  var result;

  var later = function later() {
    var last = +new Date() - timestamp;

    if (last < wait && last >= 0) {
      timeout = setTimeout(later, wait - last);
    } else {
      timeout = null;

      if (!immediate) {
        result = func.apply(context, args);

        if (!timeout) {
          context = null;
          args = null;
        }
      }
    }
  };

  return function debounced() {
    context = this;
    args = arguments;
    timestamp = +new Date();
    var callNow = immediate && !timeout;

    if (!timeout) {
      timeout = setTimeout(later, wait);
    }

    if (callNow) {
      result = func.apply(context, args);
      context = null;
      args = null;
    }

    return result;
  };
}

var Log$b = getTagged('player');
var StreamType$1 =
/*#__PURE__*/
function () {
  function StreamType() {}

  StreamType.isSupported = function isSupported(type) {
    return [StreamType.HLS, StreamType.RTSP].includes(type);
  };

  StreamType.fromUrl = function fromUrl(url) {
    var parsed;

    try {
      parsed = Url.parse(url);
    } catch (e) {
      return null;
    }

    switch (parsed.protocol) {
      case 'rtsp':
        return StreamType.RTSP;

      case 'http':
      case 'https':
        if (url.indexOf('.m3u8') >= 0) {
          return StreamType.HLS;
        } else {
          return null;
        }

      default:
        return null;
    }
  };

  StreamType.fromMime = function fromMime(mime) {
    switch (mime) {
      case 'application/x-rtsp':
        return StreamType.RTSP;

      case 'application/vnd.apple.mpegurl':
      case 'application/x-mpegurl':
        return StreamType.HLS;

      default:
        return null;
    }
  };

  _createClass(StreamType, null, [{
    key: "HLS",
    get: function get() {
      return 'hls';
    }
  }, {
    key: "RTSP",
    get: function get() {
      return 'rtsp';
    }
  }]);

  return StreamType;
}();
var RTSPPlayer =
/*#__PURE__*/
function (_EventEmitter) {
  _inheritsLoose(RTSPPlayer, _EventEmitter);

  function RTSPPlayer(node, opts) {
    var _this;

    _this = _EventEmitter.call(this) || this;

    if (typeof node == typeof '') {
      _this.player = document.getElementById(node);
    } else {
      _this.player = node;
    }

    _this.player.style.backgroundColor = '#000';

    var options = _Object$assign({}, {
      type: StreamType$1.RTSP,
      client: RTSPClient,
      transport: {
        constructor: WebsocketTransport,
        options: {
          socket: 'ws://127.0.0.1:9876/ws/'
        }
      },
      queryCredentials: null
    }, opts);

    _this.modules = {};
    var transport = options.transport;
    var client = options.client;

    if (transport.constructor.canTransfer(client.streamType())) {
      _this.modules[client.streamType()] = {
        client: client,
        transport: transport
      };
    } else {
      Log$b.warn("Client stream type " + client.streamType() + " is incompatible with transport types [" + transport.constructor.streamTypes().join(', ') + "]. Skip");
    }

    _this.url = null;

    if (options.url && options.type) {
      _this.url = options.url;
      _this.type = options.type;
    }

    if (_this.url) {
      _this.setSource(_this.url, _this.type);
    }

    _this.e = {
      onMetadata: _this._onVideoMetadata.bind(_assertThisInitialized(_assertThisInitialized(_this))),
      onPlaying: _this._onVideoPlaying.bind(_assertThisInitialized(_assertThisInitialized(_this))),
      onWaiting: _this._onVideoWaiting.bind(_assertThisInitialized(_assertThisInitialized(_this)))
    };
    _this._internalResume = debounce(_this._internalResume.bind(_assertThisInitialized(_assertThisInitialized(_this))), 3000);

    _this._bindVideoEvent();

    return _this;
  }

  var _proto = RTSPPlayer.prototype;

  _proto._onVideoMetadata = function _onVideoMetadata() {
    this.dispatchEvent(Events.MEDIA_INFO);
  };

  _proto._onVideoPlaying = function _onVideoPlaying() {
    this._isStalled = false;
    Log$b.debug('video playing...');
  };

  _proto._onVideoWaiting = function _onVideoWaiting() {
    this._isStalled = true;
    Log$b.debug('video waiting...');

    this._internalResume();
  };

  _proto._internalResume = function _internalResume() {
    if (this.player && this._isStalled) {
      Log$b.warn('内部重新拉流...');
      this.resume();
    } else {
      Log$b.log('不用重新拉流😄...');
    }
  };

  _proto._bindVideoEvent = function _bindVideoEvent() {
    this.player.addEventListener('loadedmetadata', this.e.onMetadata);
    this.player.addEventListener('playing', this.e.onPlaying);
    this.player.addEventListener('waiting', this.e.onWaiting);
  };

  _proto._unbindVideoEvent = function _unbindVideoEvent() {
    this.player.removeEventListener('loadedmetadata', this.e.onMetadata);
    this.player.removeEventListener('playing', this.e.onPlaying);
    this.player.removeEventListener('waiting', this.e.onWaiting);
  };

  _proto.isPlaying = function isPlaying() {
    return !(this.player.paused || this.client.paused);
  };

  RTSPPlayer.canPlay = function canPlay(resource) {
    return StreamType$1.fromMime(resource.type) || StreamType$1.fromUrl(resource.src);
  };

  _proto.canPlayUrl = function canPlayUrl(src) {
    var type = StreamType$1.fromUrl(src);
    return type in this.modules;
  };

  _proto.setSource =
  /*#__PURE__*/
  function () {
    var _setSource = _asyncToGenerator(
    /*#__PURE__*/
    _regeneratorRuntime.mark(function _callee(url, type) {
      var transport, lastType, client;
      return _regeneratorRuntime.wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              if (!this.transport) {
                _context.next = 6;
                break;
              }

              if (!this.client) {
                _context.next = 4;
                break;
              }

              _context.next = 4;
              return this.client.detachTransport();

            case 4:
              _context.next = 6;
              return this.transport.destroy();

            case 6:
              _context.prev = 6;
              this.endpoint = Url.parse(url);
              _context.next = 13;
              break;

            case 10:
              _context.prev = 10;
              _context.t0 = _context["catch"](6);
              return _context.abrupt("return");

            case 13:
              this.url = url;
              transport = this.modules[type].transport;
              this.transport = new transport.constructor(this.endpoint, this.type, transport.options);
              lastType = this.type;
              this.type = (StreamType$1.isSupported(type) ? type : false) || StreamType$1.fromMime(type);

              if (this.type) {
                _context.next = 20;
                break;
              }

              throw new Error('Bad stream type');

            case 20:
              if (!(lastType != this.type || !this.client)) {
                _context.next = 28;
                break;
              }

              if (!this.client) {
                _context.next = 24;
                break;
              }

              _context.next = 24;
              return this.client.destroy();

            case 24:
              client = this.modules[type].client;
              this.client = new client();
              _context.next = 29;
              break;

            case 28:
              this.client.reset();

            case 29:
              if (this.remuxer) {
                this.remuxer.destroy();
                this.remuxer = null;
              }

              this.remuxer = new Remuxer(this.player);
              this.remuxer.attachClient(this.client);
              this.client.attachTransport(this.transport);
              this.client.setSource(this.endpoint);

              if (this.player.autoplay) {
                this.play();
              }

            case 35:
            case "end":
              return _context.stop();
          }
        }
      }, _callee, this, [[6, 10]]);
    }));

    return function setSource(_x, _x2) {
      return _setSource.apply(this, arguments);
    };
  }();

  _proto.resume = function resume(url, type) {
    this.setSource(url || this.url, type || this.type);
  };

  _proto.play = function play() {
    var _this2 = this;

    if (this.client) {
      this.client.start().catch(function (e) {
        _this2.dispatchEvent(Events.ERROR, e);
      });
    }
  };

  _proto.pause = function pause() {
    if (this.client) {
      this.client.stop();
    }
  };

  _proto.destroy =
  /*#__PURE__*/
  function () {
    var _destroy = _asyncToGenerator(
    /*#__PURE__*/
    _regeneratorRuntime.mark(function _callee2() {
      return _regeneratorRuntime.wrap(function _callee2$(_context2) {
        while (1) {
          switch (_context2.prev = _context2.next) {
            case 0:
              _EventEmitter.prototype.destroy.call(this);

              this._unbindVideoEvent();

              if (!this.transport) {
                _context2.next = 8;
                break;
              }

              if (!this.client) {
                _context2.next = 6;
                break;
              }

              _context2.next = 6;
              return this.client.detachTransport();

            case 6:
              _context2.next = 8;
              return this.transport.destroy();

            case 8:
              if (!this.client) {
                _context2.next = 11;
                break;
              }

              _context2.next = 11;
              return this.client.destroy();

            case 11:
              if (this.remuxer) {
                this.remuxer.destroy();
                this.remuxer = null;
              }

            case 12:
            case "end":
              return _context2.stop();
          }
        }
      }, _callee2, this);
    }));

    return function destroy() {
      return _destroy.apply(this, arguments);
    };
  }();

  return RTSPPlayer;
}(EventEmitter);

function createPlayer(element, options) {
  return new RTSPPlayer(element, options);
}

function isSupported() {
  return MSE.isSupported('avc1.64001e') && typeof WebSocket != 'undefined';
}

var index = {
  createPlayer: createPlayer,
  isSupported: isSupported,
  LoggingControl: LoggingControl,
  Events: Events,
  ErrorTypes: ErrorTypes
};

export default index;
